<?php

function spojeni() {
    if (!defined('DB_HOST')) {
        if ((@include 'config.php') === false) {
            include "../config.php";
        }
    }
    $db = new mysqli(DB_HOST, DB_USER, DB_PASSWORD, DB_NAME);

    if ($db->errno > 0)
        die("Je to rozbité :(");
    $db->set_charset("utf8");
    return $db;
}

function registrace() {
    $db = spojeni();
    if (isset($_POST["sended"])) {
        if (empty($_POST["jmeno"]) || empty($_POST["heslo1"]) || empty($_POST["prijmeni"]) || empty($_POST["mesto"]) || empty($_POST["adresa"])|| empty($_POST["heslo2"]) || empty($_POST["email"])) {
            echo "<p class='hlaska'>Vyplň formulář</p>";
        } else if ($_POST["heslo1"] != $_POST["heslo2"]) {
            echo "<p class='hlaska'>Hesla nejsou stejná.</p>";
        } else {
            //$db->autocommit(FALSE);
            $nazev = "{$_POST["jmeno"]} {$_POST["prijmeni"]}";
            $mesto = $_POST["mesto"];
            $adresa = $_POST["adresa"];
            $email = $_POST["email"];
            $heslo = password_hash($_POST["heslo1"], PASSWORD_BCRYPT);
            $chyba = 0;
            if(isset($_POST["ico"])){
                $ico = $_POST["ico"];
            }else{$ico="";}

            if(isset($_POST["dico"])){
                $dico = $_POST["dico"];
            }else{$dico="";}

            if(isset($_POST["telefon"])){
                $tel = $_POST["telefon"];
            }else{$tel="";}

            $sql = "SELECT * FROM login WHERE email='" . $email . "'";
            if ($data = $db->query($sql)) {
                if ($data->num_rows > 0) {
                    $chyba = 1;
                }
            }

            if ($chyba == 1) {
                echo "<p class='hlaska'>Tento email již je v naší databázi.</p>";
            } else {

                $sqlLog = "INSERT INTO `login` ( `email`, `password`) VALUES (?,?);";
                $sqlZiv = "INSERT INTO `uzivatel` (`login_id`, `nazev`, `ico`, `dico`, `id_kontakt`, `firma`) VALUES (?,?,?,?,?,0);";
                $sqlKon = "INSERT INTO `kontakty` (`mesto`, `adresa`, `telefon`) VALUES (?,?,?);";
                if ($stmt = $db->prepare($sqlLog)) {
                    $stmt->bind_param("ss", $email, $heslo);
                    $stmt->execute();
                    $idLogin = $stmt->insert_id;
                    if ($stmt1 = $db->prepare($sqlKon)) {
                        $stmt1->bind_param("sss", $mesto, $adresa, $tel);
                        $stmt1->execute();
                        $idKontakt = $stmt1->insert_id;
                        if ($stmt2 = $db->prepare($sqlZiv)) {
                            $stmt2->bind_param("isssi", $idLogin,$nazev,$ico,$dico,$idKontakt);
                            $stmt2->execute();
                            //$db->commit();
                            echo "<p class='hlaska'>Jste zaregistrováni, můžete se přihlásit</p>";
                            return;
                        }

                    }

                }
                //$db->rollback();
            }
        }
    }
}

function registraceFirma() {
    $db = spojeni();
    if (isset($_POST["sendedFirma"])) {
        if (empty($_POST["nazev"]) || empty($_POST["heslo1"]) || empty($_POST["ico"]) || empty($_POST["dico"]) ||  empty($_POST["mesto"]) || empty($_POST["adresa"])|| empty($_POST["heslo2"]) || empty($_POST["email"])) {
            echo "<p class='hlaska'>Vyplň formulář</p>";
        } else if ($_POST["heslo1"] != $_POST["heslo2"]) {
            echo "<p class='hlaska'>Hesla nejsou stejná.</p>";
        } else {
            $nazev = $_POST["nazev"];
            $mesto = $_POST["mesto"];
            $adresa = $_POST["adresa"];
            $email = $_POST["email"];
            $ico = $_POST["ico"];
            $dico = $_POST["dico"];
            $heslo = password_hash($_POST["heslo1"], PASSWORD_BCRYPT);
            $chyba = 0;

            if(isset($_POST["telefon"])){
                $tel = $_POST["telefon"];
            }else{$tel="";}

            $sql = "SELECT * FROM uzivatel WHERE email='" . $email . "'";
            if ($data = $db->query($sql)) {
                if ($data->num_rows > 0) {
                    $chyba = 1;
                }
            }

            if ($chyba == 1) {
                echo "<p class='hlaska'>Tento email již je v naší databázi.</p>";
            } else {

                $sqlLog = "INSERT INTO `login` ( `email`, `password`) VALUES (?,?);";
                $sqlZiv = "INSERT INTO `uzivatel` (`login_id`, `nazev`,  `ico`, `dico`, `id_kontakt`,`firma`) VALUES (?,?,?,?,?,1);";
                $sqlKon = "INSERT INTO `kontakty` (`mesto`, `adresa`, `telefon`) VALUES (?,?,?);";
                if ($stmt = $db->prepare($sqlLog)) {
                    $stmt->bind_param("ss", $email, $heslo);
                    $stmt->execute();
                    $idLogin = $stmt->insert_id;
                    if ($stmt1 = $db->prepare($sqlKon)) {
                        $stmt1->bind_param("sss", $mesto, $adresa, $tel);
                        $stmt1->execute();
                        $idKontakt = $stmt1->insert_id;
                        if ($stmt2 = $db->prepare($sqlZiv)) {
                            $stmt2->bind_param("isssi", $idLogin,$nazev,$ico,$dico,$idKontakt);
                            $stmt2->execute();

                            echo "<p class='hlaska'>Jste zaregistrováni, můžete se přihlásit</p>";
                        }

                    }

                }
            }
        }
    }
}

function prihlaseni() {
    $db = spojeni();
    if (!empty($_POST["email"]) && !empty($_POST["heslo"])) {
        $login = $_POST["email"];
        $heslo = $_POST["heslo"];

        $stmt = $db->prepare("select * from login where email=? AND platnost=1 limit 1");
        $stmt->bind_param("s", $login);
        $stmt->execute();
        $result = $stmt->get_result();
        $zaznam = $result->fetch_assoc();


        if (password_verify($heslo, $zaznam["password"])) {
            $_SESSION["login"] = $zaznam["email"];
            $_SESSION["id"] = $zaznam["id"];
            $_SESSION["opravneni"] = "0";
            $_SESSION['aktivita'] = time() + (30 * 60);//ve vterinach

            $sql5 = "INSERT INTO `log` (`login_id`) VALUES (?);";
            if ($stmt = $db->prepare($sql5)) {
                $stmt->bind_param("i", $zaznam["id"]);
                $stmt->execute();
            }
            rozrazeni();
        } else {
            echo "<h1 class='nadpis_vedlejsi_stranka'>Zadali jste špatné údaje, zkuste to prosím znovu.</h1>";
        }
    }
}

function prihlaseniZamestnanec() {
    $db = spojeni();
    if (!empty($_POST["email"]) && !empty($_POST["heslo"])) {
        $login = $_POST["email"];
        $heslo = $_POST["heslo"];

        $stmt = $db->prepare("select * from loginzam where email=? AND platnost=1 limit 1");
        $stmt->bind_param("s", $login);
        $stmt->execute();
        $result = $stmt->get_result();
        $zaznam = $result->fetch_assoc();

        if (password_verify($_POST["heslo"], $zaznam["password"])) {
            $_SESSION["loginZam"] = $zaznam["email"];
            $_SESSION["id"] = $zaznam["idlogin"];
            $_SESSION["opravneni"] = $zaznam["opravneni"];
            $_SESSION['aktivita'] = time() + (30 * 60);//ve vterinach

            $sql5 = "INSERT INTO `logzamest` (`idzam`) VALUES (?);";
            if ($stmt = $db->prepare($sql5)) {
                $stmt->bind_param("i", $zaznam["idlogin"]);
                $stmt->execute();
            }
            rozrazeni();
        } else {
            echo "<h1 class='nadpis_vedlejsi_stranka'>Zadali jste špatné údaje, zkuste to prosím znovu.</h1>";
        }
    }
}

function rozrazeni() {
    $db = spojeni();

    if (!isset($_SESSION["login"]) && !isset($_SESSION["loginZam"])) {
        header("Location: index.php");
    } else {
        if ($_SESSION["opravneni"] == "0") {
            header("Location: uzivatel.php");
        } else {
            header("Location: ./zamestnanec/zamestnanec.php");
        }
    }
}


function opravneniU(){
    $db= spojeni();
    
    if(!isset($_SESSION["login"]) && !isset($_SESSION["loginZam"])) {
        header("Location: prihlaseni.php");

    } else {
        $cas = time();

        if ($cas > $_SESSION['aktivita']) {
            header("Location: odhlaseni.php");
        }else{
            $_SESSION['aktivita'] = time() + (30 * 60);
        }
        //$dotaz="select * from login where email='{$_SESSION["login"]}' limit 1";
        // $data=mysqli_query($db,$dotaz);
        // if(!$zaznam=mysqli_fetch_array($data)){header("Location: prihlaseni.php");}
    }
}

function Menu(){
    $db= spojeni();
    
    if(isset($_SESSION["login"])) {
        include './body/header_user.php';
        /*if ($_SESSION["opravneni"] == "0") {
            include './body/header_user.php';
        } else if ($_SESSION["opravneni"] == "1") {
            include './body/header_admin.php';
        }*/
    } else if(isset($_SESSION["loginZam"])){
        if($_SESSION["opravneni"]=='1' || $_SESSION["opravneni"]=='2'){
            include './body/header_admin.php';
        }else if($_SESSION["opravneni"]=='3'){
            include './body/header_ekonom.php';
        }else {
            include './body/header_skladnik.php';
        }


     }else {
        include './body/header.php';
    }
}


function vypisZbozi(){
    $db = spojeni();

    if (isset($_GET['st'])) {
        if (!preg_match("/^[0-9]+$/", $_GET['st'])) {
            $strana = 1;
        } else {
            $strana = $_GET['st'];
        }
    } else {
        $strana = 1;
    }
    if (isset($_GET['k'])) {
        if (!preg_match("/^[1-9]+$/", $_GET['k'])) {
            $kategorie = "`zbozi`.`kategorie_id`";
        }else{
            $kategorie=$_GET['k'];
        }
    }else{
        $kategorie = "`zbozi`.`kategorie_id`";
    }
    $naStranu = 6;
    $pocetStranData = "SELECT COUNT(*) FROM `zbozi` WHERE `zbozi`.`platnost`=1 AND `zbozi`.`kategorie_id`={$kategorie}";
    $dataS = mysqli_query($db, $pocetStranData);
    $stran = mysqli_fetch_array($dataS);
    $pocet = ($strana - 1) * $naStranu;
    $pocetStran = ceil($stran[0] / $naStranu);
    if (isset($_GET['st'])) {
        if ($_GET['st'] > $pocetStran) {
            $strana = 1;
            $pocet = 1;
            $naStranu = 6;
        }
    }


    if (isset($_GET['r'])) {
        if (!preg_match("/^[a-z]+$/", $_GET['r'])) {
            $razeni = "id";
            $zpusob="DESC";
        } else {
            $radit = $_GET['r'];
            if ($radit == "abecedne") {
                $razeni = "nazev";
                $zpusob="ASC";
            }elseif ($radit == "nejlevnejsi") {
                $razeni = "cena";
                $zpusob="ASC";
            }elseif($radit == "nejdrazsi"){
                $razeni = "cena";
                $zpusob="DESC";
            }else{
                $razeni = "id";
                $zpusob="DESC";
            }
        }
    } else {
        $razeni = "id";
        $zpusob="DESC";
    }


    $sql = "SELECT `zbozi`.`idzbozi` AS id,`zbozi`.`nazev`, (SELECT cena.cena FROM cena WHERE zbozi_id=`zbozi`.`idzbozi` ORDER BY cena.datum DESC LIMIT 1) AS cena , `zbozi`.`mnozstvi`, `zbozi`.popis,`kategorie`.`nazev` AS kat, `vyrobce`.`nazev` AS vyr
            FROM `zbozi` JOIN `cena` ON `zbozi`.`idzbozi`= `cena`.`zbozi_id` JOIN `kategorie` ON `kategorie`.`idkategorie`=`zbozi`.`kategorie_id` JOIN `vyrobce` ON `vyrobce`.`idvyrobce`=`zbozi`.`vyrobce_id` WHERE `zbozi`.`platnost`=1 AND `zbozi`.`kategorie_id`={$kategorie} GROUP BY `zbozi`.`nazev` ORDER BY $razeni $zpusob LIMIT $pocet, $naStranu";

    echo "<article class='cl'>";
    if ($data = $db->query($sql)) {
        if ($data->num_rows > 0) {

            while ($row = $data->fetch_assoc()) {
                echo "<div class='article'>";
                echo "<div class='foto1'>";

                $nazevSlozky = "images/obrazkyZbozi/" . $row['id'];
                if (is_dir($nazevSlozky)) {
                    $slozka = opendir($nazevSlozky);
                    for ($i = 0; $i < 1; $i++) {
                        $files = scandir($nazevSlozky);
                        $pocetSoub = count($files);
                        while ($nazevSouboru = readdir($slozka)) {
                            if ($nazevSouboru != "." && $nazevSouboru != ".." && $nazevSouboru != "nahledy" && $nazevSouboru != "thumbs.db" && $nazevSouboru != "Thumbs.db") {

                                echo "<img src='$nazevSlozky/$nazevSouboru' alt='' class='zkft'>";
                                break;
                            } else if ($pocetSoub <= 2) {

                                $odkaz = "images/1.jpg";
                                echo "<img src='$odkaz' alt='' class='zkft'>";
                                break;
                            }
                        }
                    }
                }

                echo "</div>";

                $sqlCena = "SELECT SUM(`objednavky`.`mnozstvi`) AS rez
                            FROM `objednavky` JOIN `faktury` ON `objednavky`.`faktury_id`=faktury.id JOIN `cena` ON `cena`.`id`=`objednavky`.cena_id
                            WHERE `faktury`.`datum_vydani` IS NULL AND `cena`.`zbozi_id`={$row['id']}";
                if ($dataR = $db->query($sqlCena)) {
                    if ($dataR->num_rows > 0) {
                        $rowR = $dataR->fetch_assoc();
                        $mnozRez = $row['mnozstvi']-$rowR['rez'];

                    }
                }

                echo" <div class='cln1'>
                                <h1 class='name'>{$row['vyr']} {$row['nazev']}</h1>
                                <h1 class='name1'>Cena: {$row['cena']} Kč, Množství: {$mnozRez} kusů</h1>
                                <h1 class='name1'>kategorie: {$row['kat']}</h1>";

                //Oříznutí popisu

                                $znak = strpos($row['popis'],'</p>');
                                if ($znak<60) {
                                echo substr($row['popis'], 0, $znak);
                                //echo "...";
                                }else if(strlen($row['popis'])>=60){
                                echo substr($row['popis'], 0, 60);
                                echo "...";
                                }else{
                 echo"<p class='popisZbozi'>";
                echo $row['popis'];
                echo"</p>";
                                }

                echo"</div>";
                if(!isset($_SESSION["login"]) && !isset($_SESSION["loginZam"])){
                    echo "<br><a href='#' onclick='alertJS();return false;' class='a'><button class='tlacitko1'>REZERVOVAT</button></a>";
                }else{
                    echo "<br><a href='nahledZbozi.php?id=$row[id]' class='a'><button class='tlacitko1'>REZERVOVAT</button></a>";
                }


                echo"</div>";
            }echo"</article>";

            echo"<section class='obalCisel'>";

            if (!isset($_GET["st"]))
                $i = 1;
            else {
                $i = $_GET['st'];
                if (!preg_match("/^[0-9]+$/", $_GET['st'])) {
                    $i = 1;
                }
            }
            if (isset($_GET['st'])) {
                if ($_GET['st'] > $pocetStran) {
                    $i = 1;
                }
            }

            if ($i > 1) {
                if((isset($_GET['r'])) && (isset($_GET['k']))){
                    echo "<a href='zbozi.php?st=1&r={$_GET['r']}&k={$_GET['k']}'>&lt;&lt; </a>";
                }else if(isset($_GET['k'])){
                    echo "<a href='zbozi.php?st=1&k={$_GET['k']}'>&lt;&lt; </a>";
                }else if(isset($_GET['r'])){
                    echo "<a href='zbozi.php?st=1&r={$_GET['r']}'>&lt;&lt; </a>";
                }else {
                    echo "<a href='zbozi.php?st=1'>&lt;&lt; </a>";
                }                
            }

// PŘEDCHOZÍ
            if ($i > 1) {
                if((isset($_GET['r'])) && (isset($_GET['k']))){
                    echo "<a class='stranky'  href='zbozi.php?st=" . ($i - 1) . "&r=" . ($_GET['r']) . "&k=" . ($_GET['k']) . "'> &lt; </a>";
                }else if(isset($_GET['k'])){
                    echo "<a class='stranky'  href='zbozi.php?st=" . ($i - 1) . "&k=" . ($_GET['k']) . "'> &lt; </a>";
                }else if(isset($_GET['r'])){
                    echo "<a class='stranky'  href='zbozi.php?st=" . ($i - 1) . "&r=" . ($_GET['r']) . "'> &lt; </a>";
                }else {
                    echo "<a class='stranky'  href='zbozi.php?st=" . ($i - 1) . "'> &lt; </a>";
                    }
// PŘEDCHOZÍ - CYKLUS
                for ($j = 4; $j > 0; $j--) {
                    if (($i - $j) >= 1) {
                        if((isset($_GET['r'])) && (isset($_GET['k']))){
                            echo "<a class='stranky' href='zbozi.php?st=" . ($i - $j) . "&r=" . ($_GET['r']) . "&k=" . ($_GET['k']) . "'>" . ($i - $j) . "</a>";
                        }else if(isset($_GET['k'])){
                            echo "<a class='stranky' href='zbozi.php?st=" . ($i - $j) . "&k=" . ($_GET['k']) . "'>" . ($i - $j) . "</a>";
                        }else if(isset($_GET['r'])){
                            echo "<a class='stranky' href='zbozi.php?st=" . ($i - $j) . "&r=" . ($_GET['r']) . "'>" . ($i - $j) . "</a>";
                        }else{
                            echo "<a class='stranky' href='zbozi.php?st=" . ($i - $j) . "'>" . ($i - $j) . "</a>";
                        }                        
                    }
                }
            }

            echo "<b class='aktualStr'>" . $i . "</b>";

// DALŠÍ
            if ($i < ($pocetStran)) {
                // DALŠÍ - CYKLUS
                for ($m = 1; $m < 4; $m++) {
                    if (($i + $m) <= ceil($pocetStran)) {
                        if((isset($_GET['r'])) && (isset($_GET['k']))){
                            echo "<a class='stranky' href='zbozi.php?st=" . ($i + $m) . "&r=" . ($_GET['r']) . "&k=" . ($_GET['k']) . "'>" . ($i + $m) . "</a>";
                        }else if(isset($_GET['k'])){
                            echo "<a class='stranky' href='zbozi.php?st=" . ($i + $m) . "&k=" . ($_GET['k']) . "'>" . ($i + $m) . "</a>";
                        }else if(isset($_GET['r'])){
                            echo "<a class='stranky' href='zbozi.php?st=" . ($i + $m) . "&r=" . ($_GET['r']) . "'>" . ($i + $m) . "</a>";
                        }else {
                             echo "<a class='stranky' href='zbozi.php?st=" . ($i + $m) . "'>" . ($i + $m) . "</a>";
                        }                       
                    }
                }

// DALŠÍ        
                if((isset($_GET['r'])) && (isset($_GET['k']))){
                    echo "<a class='stranky' href='zbozi.php?st=" . ($i + 1) . "&r=" . ($_GET['r']) . "&k=" . ($_GET['k']) . "'> &gt; </a>";
                }else if(isset($_GET['k'])){
                    echo "<a class='stranky' href='zbozi.php?st=" . ($i + 1) . "&k=" . ($_GET['k']) . "'> &gt; </a>";
                }else if(isset($_GET['r'])){
                    echo "<a class='stranky' href='zbozi.php?st=" . ($i + 1) . "&r=" . ($_GET['r']) . "'> &gt; </a>";
                }else {
                    echo "<a class='stranky' href='zbozi.php?st=" . ($i + 1) . "'> &gt; </a>";
                }
                
            }


// KONEC
            if ($i < ceil($pocetStran)) {
                if((isset($_GET['r'])) && (isset($_GET['k']))){
                    echo "<a class='stranky' href='zbozi.php?st=" . ceil($pocetStran) . "&r=" . ($_GET['r']) . "&k=" . ($_GET['k']) . "'> &gt;&gt;</a>";
                }else if(isset($_GET['k'])){
                    echo "<a class='stranky' href='zbozi.php?st=" . ceil($pocetStran) . "&k=" . ($_GET['k']) . "'> &gt;&gt;</a>";
                }else if(isset($_GET['r'])){
                    echo "<a class='stranky' href='zbozi.php?st=" . ceil($pocetStran) . "&r=" . ($_GET['r']) . "'> &gt;&gt;</a>";
                }else{
                    echo "<a class='stranky' href='zbozi.php?st=" . ceil($pocetStran) . "'> &gt;&gt;</a>";
                }
                
            }

            echo "</section>";
        } else
            echo "<p class='hlaska'>Omlouváme se, ale chybí nám tu zbozi.</p></article>";
    }
}

function nahledZbozi()
{
    $db = spojeni();
    if (isset($_GET['id'])) {
        if (!preg_match("/^[0-9]+$/", $_GET['id'])) {
            return;
        }

        $sql = "SELECT `zbozi`.`idzbozi` AS id,`zbozi`.`nazev`, (SELECT cena.cena FROM cena WHERE zbozi_id=`zbozi`.`idzbozi` ORDER BY cena.datum DESC LIMIT 1) AS cena , `zbozi`.`mnozstvi`, `zbozi`.popis, `kategorie`.`nazev` AS kat, `vyrobce`.`nazev` AS vyr
            FROM `zbozi` JOIN `cena` ON `zbozi`.`idzbozi`= `cena`.`zbozi_id` JOIN `kategorie` ON `kategorie`.`idkategorie`=`zbozi`.`kategorie_id` JOIN `vyrobce` ON `vyrobce`.`idvyrobce`=`zbozi`.`vyrobce_id` WHERE `zbozi`.`idzbozi`={$_GET['id']} GROUP BY `zbozi`.`nazev`";


        if ($data = $db->query($sql)) {
            if ($data->num_rows > 0) {

                while ($row = $data->fetch_assoc()) {
                    echo "<div class='nahledZbozi'>";
                    echo "<div class='fotoNahled'>";

                    $nazevSlozky = "images/obrazkyZbozi/" . $row['id'];
                    if (is_dir($nazevSlozky)) {
                        $slozka = opendir($nazevSlozky);
                        for ($i = 0; $i < 1; $i++) {
                            $files = scandir($nazevSlozky);
                            $pocetSoub = count($files);
                            while ($nazevSouboru = readdir($slozka)) {
                                if ($nazevSouboru != "." && $nazevSouboru != ".." && $nazevSouboru != "nahledy" && $nazevSouboru != "thumbs.db" && $nazevSouboru != "Thumbs.db") {

                                    echo "<img src='$nazevSlozky/$nazevSouboru' alt='' class='zkft'>";
                                    break;
                                } else if ($pocetSoub <= 2) {

                                    $odkaz = "images/1.jpg";
                                    echo "<img src='$odkaz' alt='' class='zkft'>";
                                    break;
                                }
                            }
                        }
                    }


                    echo "</div>";
                    $sqlCena = "SELECT SUM(`objednavky`.`mnozstvi`) AS rez
                            FROM `objednavky` JOIN `faktury` ON `objednavky`.`faktury_id`=faktury.id JOIN `cena` ON `cena`.`id`=`objednavky`.cena_id
                            WHERE `faktury`.`datum_vydani` IS NULL AND `cena`.`zbozi_id`={$row['id']}";
                    if ($dataR = $db->query($sqlCena)) {
                        if ($dataR->num_rows > 0) {
                            $rowR = $dataR->fetch_assoc();
                            $mnozRez = $row['mnozstvi']-$rowR['rez'];

                        }
                    }

                    echo " <div>
                <h1 class='name'>{$row['nazev']}</h1>
                <h1 class='name1'>Cena: {$row['cena']} Kč</h1>
                <h1 class='name1'>Množství: {$mnozRez} kusů</h1>
                <h1 class='name1'>Výrobce: {$row['vyr']}</h1>
                <h1 class='name1'>Kategorie: {$row['kat']}</h1>";


                    echo "<p class='popisZbozi'>";
                    echo $row['popis'];
                   echo "</p>";
//                                }

                    echo "</div>";
                    echo "</div>";
                }
                echo "</div>";
            }
        }

    }
}

function rezervace() {
    $db = spojeni();
    if (isset($_POST["sended"])) {
        if (empty($_POST["mnozstvi"])) {
            echo "<p class='hlaska'>Vyplň formulář</p>";
        } else {
            if (!preg_match("/^[0-9]+$/", $_GET['id'])) {
                return;
            }
            $id = $_GET['id'];
            $mn = $_POST["mnozstvi"];


            $sql = "SELECT SUM(`objednavky`.`mnozstvi`) AS rez, `zbozi`.`mnozstvi`
FROM `objednavky` JOIN `faktury` ON `objednavky`.`faktury_id`=faktury.id JOIN `cena` ON `cena`.`id`=`objednavky`.cena_id JOIN zbozi ON zbozi.idzbozi=cena.zbozi_id
 WHERE `faktury`.`datum_vydani` IS NULL AND `cena`.`zbozi_id`={$id}";


            if ($data = $db->query($sql)) {
                if ($data->num_rows > 0) {

                    $row = $data->fetch_assoc();
                    $mnozRez = $row['mnozstvi'] - $row['rez'];
                    if ($mnozRez >= $mn) {
                        if (!isset($_SESSION['kosik'])) {
                            $_SESSION['kosik'] = array();
                        }

                        if (array_key_exists($id, $_SESSION['kosik'])) {
                            $_SESSION['kosik'][$id]['mnozstvi'] = $mn;
                        } else {
                            $_SESSION['kosik'][$id];
                            $_SESSION['kosik'][$id]['mnozstvi'] = $mn;
                        }

                        header("Location:zbozi.php");
                    } else {
                        echo "<h1 class='nadpis_vedlejsi_stranka'>Zadané množství je velké.</h1>";
                    }
                }
            }


        }
    }
}

function vypisRezervaci($op) {
    $db = spojeni();


if ($op == -1) {
    $sql = "SELECT `faktury`.`id`, `faktury`.`datum_vytvoreni`, `uzivatel`.`nazev`, SUM(`cena`.`cena`) AS cena
FROM `faktury`JOIN `objednavky` ON faktury.id=objednavky.faktury_id JOIN `cena` ON objednavky.cena_id=cena.id JOIN `login` ON `login`.`id`=`faktury`.`login_id` JOIN uzivatel on login.id = uzivatel.login_id
WHERE `faktury`.`datum_vydani` IS NULL
GROUP BY `faktury`.`id`";
} else{
    $sql = "SELECT `faktury`.`id`, `faktury`.`datum_vytvoreni`, `uzivatel`.`nazev`, SUM(`cena`.`cena`) AS cena
FROM `faktury`JOIN `objednavky` ON faktury.id=objednavky.faktury_id JOIN `cena` ON objednavky.cena_id=cena.id JOIN `login` ON `login`.`id`=`faktury`.`login_id` JOIN uzivatel on login.id = uzivatel.login_id
WHERE `faktury`.`datum_vydani` IS NULL AND `uzivatel`.`login_id`={$op}
GROUP BY `faktury`.`id`";

}

    if ($data = $db->query($sql)) {
        if ($data->num_rows > 0) {
            echo "<article class='obalTable'><table class='table1'>";
            echo "<tr> <th>Číslo faktury</th> <th>Datum vytvoreni</th><th>Uživatel</th> <th>Cena</th> <th></th><th></th></tr>";

            while ($row = $data->fetch_assoc()) {
                $sqlC = "SELECT `objednavky`.`mnozstvi`, `cena`.`cena` FROM `objednavky` JOIN `cena` ON objednavky.cena_id=cena.id WHERE objednavky.faktury_id={$row['id']}";
                $cenaCelkem =0;
                if ($dataC = $db->query($sqlC)) {
                    if ($dataC->num_rows > 0) {
                       while ($rowC = $dataC->fetch_assoc()) {
                            $cenaCelkem = $cenaCelkem +($rowC['mnozstvi']*$rowC['cena']);
                        }
                    }
                }

                $vytvoreni = date("d. m. Y H:i", strtotime($row['datum_vytvoreni']));
                echo "<tr><td>{$row['id']}</td>  <td>{$vytvoreni}</td> <td>{$row['nazev']}</td> <td>{$cenaCelkem} Kč</td>
                        <td><a href='podrobnosti.php?id={$row['id']}'>Podrobnosti</a></td> ";
                if ($op == -1) {echo "<td><a href='rezervace.php?vd=true&id={$row['id']}'>Vydat</a> <a href='rezervace.php?zr=true&id={$row['id']}'>Zrušit</a></td>";}
                else{echo "<td><a href='rezervace.php?zr=true&id={$row['id']}'>Zrušit</a></td>";}
                echo"</tr>";

            }


            echo "</table></article>";
        } else
            echo "<h1 class='nadpis_vedlejsi_stranka'>Žádné rezervace</h1>";
    }

}

function vypisRezervaciPodrobnosti() {
    $db = spojeni();

    if (isset($_GET['id'])) {
        if (!preg_match("/^[0-9]+$/", $_GET['id'])) {
            return;
        }


        $sql = "SELECT `zbozi`.`nazev` as zbozi, `objednavky`.`mnozstvi`, `vyrobce`.`nazev` AS vyrobce, `faktury`.`id`, `faktury`.`datum_vytvoreni`, `faktury`.`datum_vydani`, `uzivatel`.`nazev`, cena.cena, kategorie.nazev AS kategorie
FROM `objednavky` JOIN `cena` ON objednavky.cena_id=cena.id JOIN `zbozi` ON zbozi.idzbozi=cena.zbozi_id JOIN `vyrobce` ON zbozi.vyrobce_id=vyrobce.idvyrobce JOIN kategorie ON zbozi.kategorie_id = kategorie.idkategorie
JOIN `faktury` ON faktury.id=objednavky.faktury_id JOIN `login` ON `login`.`id`=`faktury`.`login_id` JOIN uzivatel on login.id = uzivatel.login_id
WHERE objednavky.faktury_id={$_GET['id']}";

$i =0;
        if ($data = $db->query($sql)) {
            if ($data->num_rows > 0) {
                $cenaCelkem=0;


                while ($row = $data->fetch_assoc()) {
                    $cenaCelkem = $cenaCelkem +($row['mnozstvi']*$row['cena']);
                    if ($i==0){
                        $vytvoreni = date("d. m. Y H:i", strtotime($row['datum_vytvoreni']));
                        $vydani = date("d. m. Y H:i", strtotime($row['datum_vydani']));
                        $i=1;
                        echo "<article class='obalTable'><table class='table1'>";
                        echo "<p class='hlaska'>Číslo faktury: {$_GET['id']}</p>";
                        if($row['datum_vydani']==""){
                            echo "<p class='hlaska'> Vytvoření: {$vytvoreni} Vydání: Nevydano</p> 
                                    <p class='hlaska'>Odběratel: {$row['nazev']}</p>";
                        }else{
                            echo "<p class='hlaska'> Vytvoření: {$vytvoreni} Vydání: {$vydani}</p> 
                                    <p class='hlaska'>Odběratel: {$row['nazev']}</p>";
                        }

                        echo "<tr> <th>Kategorie</th> <th>Název produktu</th><th>Množství, Cena za ks</th ><th>Cena</th></tr>";
                    }
                    $celkem =  $row['mnozstvi']*$row['cena'];
                    echo "<tr><td>{$row['kategorie']}</td>  <td>{$row['vyrobce']} {$row['zbozi']}</td> <td>{$row['mnozstvi']}ks, {$row['cena']}Kč</td> <td> {$celkem}Kč</td></tr>";
                }

                echo "<tr><td></td>  <td></td> <td></td> <td>CELKEM: {$cenaCelkem}Kč</td></tr>";
                echo "</table></article>";
            } else
                echo "<h1 class='nadpis_vedlejsi_stranka'>Žádné rezervace</h1>";
        }
    }
}

function zrusitRezervaciZbozi()
{
    $db = spojeni();

    if (isset($_GET['id'])) {
        if (!preg_match("/^[0-9]+$/", $_GET['id'])) {
            return;
        }

        $sql = "DELETE FROM `objednavky` WHERE `objednavky`.`faktury_id` = ?";
        if ($stmt = $db->prepare($sql)) {
            $stmt->bind_param("i", $_GET['id']);
            $stmt->execute();
        } else {
            echo "CHYBA";
        }

        $sql = "DELETE FROM `faktury` WHERE `faktury`.`id`= ?";
        if ($stmt = $db->prepare($sql)) {
            $stmt->bind_param("i", $_GET['id']);
            $stmt->execute();
        } else {
            echo "CHYBA";
        }


        header("Location:rezervace.php");

    }
}

function vypisHistorieRezervaci($op) {
    $db = spojeni();


    $sql = "SELECT `faktury`.`id`, `faktury`.`datum_vytvoreni`, `faktury`.`datum_vydani`, `uzivatel`.`nazev` , SUM(`cena`.`cena`) AS cena,`faktury`.`datum_fakturace`
FROM `faktury`JOIN `objednavky` ON faktury.id=objednavky.faktury_id JOIN `cena` ON objednavky.cena_id=cena.id JOIN `login` ON `login`.`id`=`faktury`.`login_id` JOIN uzivatel on login.id = uzivatel.login_id
WHERE `faktury`.`datum_vydani` IS NOT NULL AND `uzivatel`.`login_id`={$op}
GROUP BY `faktury`.`id`";



    if ($data = $db->query($sql)) {
        if ($data->num_rows > 0) {
            echo "<article class='obalTable'><table class='table1'>";
            echo "<tr> <th>Číslo faktury</th> <th>Datum vytvoreni</th> <th>Datum vydání</th><th>Uživatel</th> <th>Cena</th> <th></th></tr>";

            while ($row = $data->fetch_assoc()) {
                $sqlC = "SELECT `objednavky`.`mnozstvi`, `cena`.`cena` FROM `objednavky` JOIN `cena` ON objednavky.cena_id=cena.id WHERE objednavky.faktury_id={$row['id']}";
                $cenaCelkem =0;
                if ($dataC = $db->query($sqlC)) {
                    if ($dataC->num_rows > 0) {
                        while ($rowC = $dataC->fetch_assoc()) {
                            $cenaCelkem = $cenaCelkem +($rowC['mnozstvi']*$rowC['cena']);
                        }
                    }
                }
                $vydani = date("d. m. Y H:i", strtotime($row['datum_vydani']));
                $vytvoreni = date("d. m. Y H:i", strtotime($row['datum_vytvoreni']));

                echo "<tr><td>{$row['id']} ".($row["datum_fakturace"]!=NULL?"Vyfakturovano":"")."</td>  <td>{$vytvoreni}</td> <td>{$vydani}</td> 
                        <td>{$row['nazev']}</td> <td>{$cenaCelkem} Kč</td>";
                if ($row["datum_fakturace"]==NULL) {
                    echo "<td><a href='podrobnosti.php?id={$row['id']}'>Obsah obj.</a></td>";
                } else{
                    echo "<td><a href='podrobnosti.php?id={$row['id']}'>Obsah obj.</a> <a title='Zobrazí fakturu.' href='faktura.php?id={$row['id']}'>Faktura</a></td>";
                }
                echo "</tr>";
            }

            echo "<tr><td colspan='5'></td><td><a href='historieRezervace.php?vd=true' class='a'><button class='tlacitko1'>To json</button></a></td></tr>";
            echo "</table></article>";
        } else
            echo "<h1 class='nadpis_vedlejsi_stranka'>Žádné historie</h1>";
    }
}

function vypisRezervaciFaktura() {
    $db = spojeni();

    if (isset($_GET['id'])) {
        if (!preg_match("/^[0-9]+$/", $_GET['id'])) {
            return;
        }


        $sql = "SELECT `zbozi`.`nazev` as zbozi, `objednavky`.`mnozstvi`, `vyrobce`.`nazev` AS vyrobce, `faktury`.`id`, `faktury`.`datum_vytvoreni`, `faktury`.`datum_vydani`,`faktury`.`datum_fakturace`,
 `uzivatel`.`nazev`, cena.cena, kategorie.nazev AS kategorie,kontakty.mesto, kontakty.adresa ,uzivatel.ico, uzivatel.dico, DATE_FORMAT(`faktury`.`datum_vydani` , '%d. %m. %Y') AS dVydani,
 DATE_FORMAT(`faktury`.`datum_fakturace` , '%d. %m. %Y') AS dFaktur, DATE_FORMAT((`faktury`.`datum_vydani` + INTERVAL 30 DAY) , '%d. %m. %Y') AS splatnost
 FROM `objednavky` JOIN `cena` ON objednavky.cena_id=cena.id JOIN `zbozi` ON zbozi.idzbozi=cena.zbozi_id JOIN `vyrobce` ON zbozi.vyrobce_id=vyrobce.idvyrobce 
 JOIN kategorie ON zbozi.kategorie_id = kategorie.idkategorie JOIN `faktury` ON faktury.id=objednavky.faktury_id JOIN `login` ON `login`.`id`=`faktury`.`login_id` 
 JOIN uzivatel on login.id = uzivatel.login_id JOIN kontakty ON kontakty.idkontakt=uzivatel.id_kontakt WHERE objednavky.faktury_id={$_GET['id']}";

        $i =0;
        if ($data = $db->query($sql)) {
            if ($data->num_rows > 0) {
                $cenaCelkem = 0;


                while ($row = $data->fetch_assoc()) {

                    if ($row['datum_vydani'] == NULL) {
                        echo "<p class='hlaska'>Zboží ještě nebylo vydáno.</p>";
                        return;
                    }
                    $cenaCelkem = $cenaCelkem + ($row['mnozstvi'] * $row['cena']);
                    if ($i == 0) {
                        $i = 1;
                        $r = date("Y");
                        $cisloFak = "{$r}0{$_GET['id']}";
                        echo "<article ><table class='tableFaktura'><tr><th></th><th></th></th><th colspan='2'>Faktura</th><th></th><th></th></tr>

                        <tr><td colspan='2' class='tableHead'>Email:&nbsp;lukas.karlik@staveb.cz</td><td class='tableHead'>Číslo&nbsp;uctu:&nbsp;2345128912/3000</td><td colspan='3' class='tableHead'>Faktura&nbsp;číslo:&nbsp;{$cisloFak}, Variabilní&nbspsymbol:&nbsp;{$cisloFak}</td></tr>
                        
                        <tr><td colspan='3' class='tableHead'><p>Dodavatel</p><h3>Stavebniny</h3><h3>Obrancu miru 26</h3><h3>Pardubice</h3><p>ICO:65454654 DIC:CZ65454654</p></td>
                        <td colspan='3' class='tableHead'><p>Odběratel</p><h3>{$row['nazev']}</h3><h3>{$row['adresa']}</h3><h3>{$row['mesto']}</h3><p>ICO:{$row['ico']} DIC:{$row['dico']}</p></td></tr>

                        <tr><td colspan='3' class='tableHead'></td>
            <td colspan='3' class='tableHead'><p>Den splatnosti {$row['splatnost']}</p><p>Forma úhrady PP</p><p>Datum vystavení faktury {$row['dFaktur']}</p><p>Datum uskutečnění zdan. plnění {$row['dVydani']}</p></td></tr>";


                        echo "<tr><td colspan='2' class='tableHead'>Zboží</td><td class='tableHead'>Množství</td>
            <td class='tableHead'>Cena&nbsp;bez&nbsp;DPH</td>
            <td class='tableHead'>s&nbsp;DPH&nbsp;21%</td>
            <td class='tableHead'>Celkem&nbsp;Kč&nbsp;s&nbsp;DPH</td></tr>";
                    }
                    $celkem = $row['mnozstvi'] * $row['cena'];
                    $cenaBezDPH = $row['cena']/100*79;
                    echo "<tr><td colspan='2'>{$row['kategorie']}: {$row['vyrobce']} {$row['zbozi']}</td>  <td>{$row['mnozstvi']}ks</td> <td> {$cenaBezDPH},-</td> <td> {$row['cena']},-</td> <td> {$celkem},-</td></tr>";

                }
                $cenaCelkemBez = $cenaCelkem/100*79;
                echo "<tr><td colspan='2'></td> <td></td><td></td><td><b>CELKEM bez DPH:</b> </td> <td><b>{$cenaCelkemBez}&nbsp;Kč</b></td></tr>";
                echo "<tr><td colspan='2'></td> <td></td><td></td><td><b>CELKEM s DPH:</b> </td> <td><b>{$cenaCelkem}&nbsp;Kč</b></td></tr>";
                echo "<tr><td colspan='2'></td> <td></td><td></td><td><h2>K ÚHRADĚ:</h2> </td> <td><h2>{$cenaCelkem}&nbsp;Kč</h2></td></tr>";
                echo "</table></article>";
            } else
                echo "<h1 class='nadpis_vedlejsi_stranka'>Žádné faktura</h1>";
        }
    }
}

function editUdaju($id){
    $db = spojeni();
    if (isset($_POST["sendedD"])) {
        if (empty($_POST["jmeno"]) || empty($_POST["prijmeni"])  || empty($_POST["mesto"]) || empty($_POST["adresa"])) {
            echo "<p class='hlaska'>Vyplň formulář</p>";
        } else {
            $nazev = "{$_POST["jmeno"]} {$_POST["prijmeni"]}";
            $mesto = $_POST["mesto"];
            $adresa = $_POST["adresa"];

            if(isset($_POST["ico"])){
                $ico = $_POST["ico"];
            }else{$ico="";}

            if(isset($_POST["dico"])){
                $dico = $_POST["dico"];
            }else{$dico="";}

            if(isset($_POST["telefon"])){
                $tel = $_POST["telefon"];
            }else{$tel="";}



            $sql5 = "UPDATE `uzivatel` SET `nazev` = ?, `ico` = ?, `dico` = ? WHERE `uzivatel`.`login_id` = ?";
            if ($stmt = $db->prepare($sql5)) {
                $stmt->bind_param("sssi", $nazev, $ico, $dico,$id);
                $stmt->execute();

            }
            $sql1 = "SELECT id_kontakt as idkon FROM `uzivatel` WHERE login_id={$id} LIMIT 1";
            if ($data = $db->query($sql1)) {
                if ($data->num_rows > 0) {
                    $row = $data->fetch_assoc();
                    $sql6 = "UPDATE `kontakty` SET `mesto` = ?, `adresa` = ?, `telefon` = ? WHERE `kontakty`.`idkontakt` = ?";
                    if ($stmt = $db->prepare($sql6)) {
                        $stmt->bind_param("sssi", $mesto, $adresa, $tel, $row['idkon']);
                        $stmt->execute();

                    }
                }
            }

            if ($_SESSION['opravneni']==1){
                header("Location:spravaUzivatel.php");
            }else{
                header("Location:index.php");
            }
        }
    }

    if (isset($_POST["sendedDF"])) {
        if (empty($_POST["nazev"]) || empty($_POST["ico"]) || empty($_POST["dico"]) || empty($_POST["mesto"]) || empty($_POST["adresa"])) {
            echo "<p class='hlaska'>Vyplň formulář</p>";
        } else {
            $nazev = "{$_POST["nazev"]}";
            $mesto = $_POST["mesto"];
            $adresa = $_POST["adresa"];
            $ico = $_POST["ico"];
            $dico = $_POST["dico"];

            if(isset($_POST["telefon"])){
                $tel = $_POST["telefon"];
            }else{$tel="";}



            $sql5 = "UPDATE `uzivatel` SET `nazev` = ?, `ico` = ?, `dico` = ? WHERE `uzivatel`.`login_id` = ?";
            if ($stmt = $db->prepare($sql5)) {
                $stmt->bind_param("sssi", $nazev, $ico, $dico,$id);
                $stmt->execute();

            }
            $sql1 = "SELECT id_kontakt as idkon FROM `uzivatel` WHERE login_id={$id} LIMIT 1";
            if ($data = $db->query($sql1)) {
                if ($data->num_rows > 0) {
                    $row = $data->fetch_assoc();
                    $sql6 = "UPDATE `kontakty` SET `mesto` = ?, `adresa` = ?, `telefon` = ? WHERE `kontakty`.`idkontakt` = ?";
                    if ($stmt = $db->prepare($sql6)) {
                        $stmt->bind_param("sssi", $mesto, $adresa, $tel, $row['idkon']);
                        $stmt->execute();

                    }
                }
            }

            if ($_SESSION['opravneni']==1){
                header("Location:spravaUzivatel.php");
            }else{
                header("Location:index.php");
            }
        }
    }
}

function prvniPrihlaseni()
{
    $db = spojeni();
    $id = $_SESSION['id'];

    $sql = "SELECT DATE_FORMAT(`datum`, '%d. %m. %Y v %H:%i') AS dat FROM log WHERE login_id={$id} ORDER BY datum DESC LIMIT 1,1";
    if($data = $db->query($sql)){
        if($data->num_rows > 0){
            $row = $data->fetch_assoc();

            echo "<p class='hlaska'>Veškeré funkcionality najdete v horním menu.</p>";

            echo "<p class='hlaska'>Poslední přihlášení dne {$row['dat']}.</p>";
        }

    }
}

function vypisSleva(){
    $db = spojeni();
    $id = $_SESSION['id'];
//AND cena.cena<(SELECT cena.cena FROM cena WHERE cena.zbozi_id=zbozi.idzbozi ORDER BY cena.datum DESC LIMIT 1)
    $sql = "SELECT zbozi.idzbozi,zbozi.nazev, SUM(objednavky.mnozstvi),MAX(faktury.datum_vytvoreni)<(SELECT cena.datum FROM cena WHERE cena.zbozi_id=zbozi.idzbozi ORDER BY cena.datum DESC LIMIT 1) AS porov
FROM `faktury`JOIN `objednavky` ON faktury.id=objednavky.faktury_id JOIN `cena` ON objednavky.cena_id=cena.id JOIN `login` ON `login`.`id`=`faktury`.`login_id` JOIN uzivatel on login.id = uzivatel.login_id JOIN zbozi ON zbozi.idzbozi=cena.zbozi_id
WHERE `uzivatel`.`login_id`={$id} AND (`faktury`.`datum_vytvoreni`+ INTERVAL 120 DAY) > CURRENT_TIMESTAMP AND zbozi.platnost=1 AND cena.cena>(SELECT cena.cena FROM cena WHERE cena.zbozi_id=zbozi.idzbozi ORDER BY cena.datum DESC LIMIT 1)
GROUP BY zbozi.idzbozi,zbozi.nazev ORDER BY SUM(objednavky.mnozstvi) DESC";
    if($data = $db->query($sql)){
        if($data->num_rows > 0){

            $i=0;
            while ($row = $data->fetch_assoc()) {
                if($row['porov']==1){
                    if($i==0){
                        echo "<p class='hlaska'><b>Některé produkty, které jste nedávno nakupoval změnili svoji cenu. Prohlídněte si možné slevy.</b></p>";
                        echo "<p class='hlaska'>Jedná se o ";
                    }
                    $i++;
                    echo "<a href='./nahledZbozi.php?id={$row['idzbozi']}'>{$row['nazev']}</a>, ";
                }
                if($i==5)
                    break;


            }
                echo "</p><p class='hlaska'><b>Děkujeme za Vaše nákupy.</b></p>";

        }

    }



}

function editHesla($id){
    $db = spojeni();
    if (isset($_POST["sendedH"])) {
        if (empty($_POST["heslo1"]) || empty($_POST["heslo2"])) {
            echo "<p class='hlaska'>Vyplň formulář</p>";
        } else if ($_POST["heslo1"] != $_POST["heslo2"]) {
            echo "<p class='hlaska'>Hesla nejsou stejná.</p>";
        } else {
            $heslo = password_hash($_POST["heslo1"], PASSWORD_BCRYPT);


            $sql5 = "UPDATE `login` SET `password` = ? WHERE `login`.`id` = ?";
            if ($stmt = $db->prepare($sql5)) {
                $stmt->bind_param("si", $heslo, $id);
                $stmt->execute();
            }

            header("Location:odhlaseni.php");

        }
    }
}

function toJSON($op){
    $db = spojeni();
    if ($op == -1){
        $sql = "SELECT `faktury`.`id`, `faktury`.`datum_vytvoreni`, `faktury`.`datum_vydani`, `uzivatel`.`nazev`, SUM(`cena`.`cena`) AS cena,`faktury`.`datum_fakturace`
FROM `faktury`JOIN `objednavky` ON faktury.id=objednavky.faktury_id JOIN `cena` ON objednavky.cena_id=cena.id JOIN `login` ON `login`.`id`=`faktury`.`login_id` JOIN uzivatel on login.id = uzivatel.login_id
WHERE `faktury`.`datum_vydani` IS NOT NULL
GROUP BY `faktury`.`id`";
    }else{
        $sql = "SELECT `faktury`.`id`, `faktury`.`datum_vytvoreni`, `faktury`.`datum_vydani`, `uzivatel`.`nazev`, SUM(`cena`.`cena`) AS cena,`faktury`.`datum_fakturace`
FROM `faktury`JOIN `objednavky` ON faktury.id=objednavky.faktury_id JOIN `cena` ON objednavky.cena_id=cena.id JOIN `login` ON `login`.`id`=`faktury`.`login_id` JOIN uzivatel on login.id = uzivatel.login_id
WHERE `faktury`.`datum_vydani` IS NOT NULL AND `login`.`id`={$op}
GROUP BY `faktury`.`id`";
    }

    $pole = array();
    if($data = $db->query($sql)){
        if($data->num_rows > 0){
            while($row = $data->fetch_assoc())
            {
                $sqlC = "SELECT `objednavky`.`mnozstvi`, `cena`.`cena` FROM `objednavky` JOIN `cena` ON objednavky.cena_id=cena.id WHERE objednavky.faktury_id={$row['id']}";
                $cenaCelkem =0;
                if ($dataC = $db->query($sqlC)) {
                    if ($dataC->num_rows > 0) {
                        while ($rowC = $dataC->fetch_assoc()) {
                            $cenaCelkem = $cenaCelkem +($rowC['mnozstvi']*$rowC['cena']);
                        }
                    }
                }
                $row['cena']=$cenaCelkem;
                $pole[] = $row;

            }

            $pole1 = json_encode($pole, JSON_UNESCAPED_UNICODE);
            //var_dump($pole1);
            $adresa = './uploads/historie.json';
            file_put_contents($adresa,$pole1);


            if(file_exists($adresa)) {
                header('Content-Description: File Transfer');
                header('Content-Type: application/octet-stream');
                header('Content-Disposition: attachment; filename='.basename($adresa));
                header('Content-Transfer-Encoding: binary');
                header('Expires: 0');
                header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
                header('Pragma: public');
                header('Content-Length: ' . filesize($adresa));
                ob_clean();
                flush();
                readfile($adresa);
                unlink($adresa);
                exit;
            }

        }
    }
}

?>

