<?php

function spojeni() {
    if (!defined('DB_HOST')) {
        if ((@include 'config.php') === false) {
            include "../config.php";
        }
    }
    $db = new mysqli(DB_HOST, DB_USER, DB_PASSWORD, DB_NAME);
    if ($db->errno > 0)
        die("Je to rozbité :(");
    $db->set_charset("utf8");
    return $db;
}

function novyZamestnanec() {
    $db = spojeni();
    if (isset($_POST["sended"])) {
        if (empty($_POST["jmeno"]) || empty($_POST["prijmeni"]) || empty($_POST["mesto"]) || empty($_POST["adresa"])) {
            echo "<p class='hlaska'>Vyplň formulář</p>";
        } else {
            //$db->autocommit(FALSE);
            $jmeno = $_POST["jmeno"];
            $prijmeni = $_POST["prijmeni"];
            $mesto = $_POST["mesto"];
            $adresa = $_POST["adresa"];
            $oprav = $_POST["id_uvazek"];
            $plat = $_POST["id_plat"];

            if (isset($_POST["telefon"])) {
                $tel = $_POST["telefon"];
            } else {
                $tel = "";
            }

            //$jmeno="Žáček";$prijmeni="Ďan";
            //$jmemail = str_replace('\'', '', iconv("utf-8", "us-ascii//TRANSLIT", $jmeno));
            //$premail = str_replace('\'', '', iconv("utf-8", "us-ascii//TRANSLIT", $prijmeni));

            setlocale(LC_ALL, 'czech');
            $jmemail = substr(str_replace('\'', '', iconv("utf-8", "us-ascii//TRANSLIT", $jmeno)), 0, 2);
            $premail = substr(str_replace('\'', '', iconv("utf-8", "us-ascii//TRANSLIT", $prijmeni)), 0, 2);

            $email = strtolower("{$jmemail}{$premail}");

            //echo $email;

            $i=0;
            while (true) {
                $i++;
                $nahCislo = sprintf('%04d', rand(10, 1000));
                $email = "{$email}{$nahCislo}@stavebniny.cz";

                $sql = "SELECT * FROM loginzam WHERE email='" . $email . "'";
                if ($data = $db->query($sql)) {
                    if ($data->num_rows > 0) {
                        //$chyba = 1;
                    } else {
                        //echo $email;
                        break;
                    }
                }
                if ($i>=100){
                    echo "<p class='hlaska'>Nastala chyba. Email nevygenerován.</p>";
                    return;
                }
            }

            $abecedaVelka = array("A", "B", "C", "D", "E", "F", "G", "H", "I", "J", "K", "L", "M", "N", "O", "P", "Q", "R", "S", "T", "U", "V", "W", "X", "Y", "Z");
            $abecedaMala = array("a", "b", "c", "d", "e", "f", "g", "h", "i", "j", "k", "l", "m", "n", "o", "p", "q", "r", "s", "t", "u", "v", "w", "x", "y", "z");
            $cisla = array(0,1,2,3,4,5,6,7,8,9);
            $znaky = array("!","_","?","-","[","]","<",">","{","}","&","@","$","#");

            $rand1 = mt_rand(0, count($abecedaVelka) - 1);
            $rand2 = mt_rand(0, count($abecedaMala) - 1);
            $rand3 = mt_rand(0, count($abecedaMala) - 1);
            $rand4 = mt_rand(0, count($znaky) - 1);
            $rand5 = mt_rand(0, count($cisla) - 1);
            $rand6 = mt_rand(0, count($cisla) - 1);


            $cast1= $abecedaVelka[$rand1];
            $cast2= $abecedaMala[$rand2];
            $cast3= $abecedaMala[$rand3];
            $cast4= $znaky[$rand4];
            $cast5= $cisla[$rand5];
            $cast6= $cisla[$rand6];


            $hesloGen=$cast1.$cast2.$cast3.$cast4.$cast5.$cast6;
//echo $hesloGen;
            $heslo = password_hash($hesloGen, PASSWORD_BCRYPT);

            $sqlLog = "INSERT INTO `loginzam` ( `email`, `password`, `passwordGen`, `opravneni`) VALUES (?,?,?,?);";
            $sqlZ = "INSERT INTO `zamestnanec` (`idzam`, `jmeno`, `prijmeni`, `platovaTrida`, `iduvazek`, `idkontakt`) VALUES (?,?,?,?,?,?);";
            $sqlKon = "INSERT INTO `kontakty` (`mesto`, `adresa`, `telefon`) VALUES (?,?,?);";
            if ($stmt = $db->prepare($sqlLog)) {
                $stmt->bind_param("sssi", $email, $heslo,$hesloGen,$oprav);
                $stmt->execute();
                $idLogin = $stmt->insert_id;
                if ($stmt1 = $db->prepare($sqlKon)) {
                    $stmt1->bind_param("sss", $mesto, $adresa, $tel);
                    $stmt1->execute();
                    $idKontakt = $stmt1->insert_id;
                    if ($stmt2 = $db->prepare($sqlZ)) {
                        $stmt2->bind_param("issiii", $idLogin, $jmeno, $prijmeni, $plat, $oprav, $idKontakt);
                        $stmt2->execute();
                        //$db->commit();
                        echo "<p class='hlaska'>Jste zaregistrováni, můžete se přihlásit</p>";
                        return;
                    }
                }
            }
        }
        echo "<p class='hlaska'>Nastala chyba.</p>";
    }
}


function rozrazeni() {
    $db = spojeni();

    if (!isset($_SESSION["login"])) {
        header("Location: index.php");
    } else {
        if ($_SESSION["opravneni"] == "0") {
            header("Location: zbozi.php");
        } else if ($_SESSION["opravneni"] == "1") {
            header("Location: pridatZbozi.php");
        }
    }
}

function opravneniA(){

    if(!isset($_SESSION["loginZam"])) {
        header("Location: ../prihlaseni.php");
    } else if($_SESSION["opravneni"]=='2' || $_SESSION["opravneni"]=='3' || $_SESSION["opravneni"]=='4'){
        header("Location: ../index.php");
    } else{
        $cas = time();

        if ($cas > $_SESSION['aktivita']) {
            header("Location: ./odhlaseni.php");
        }else{
            $_SESSION['aktivita'] = time() + (30 * 60);
        }

    }
}

function opravneniV(){

    if(!isset($_SESSION["loginZam"])) {
        header("Location: ../prihlaseni.php");
    } else if($_SESSION["opravneni"]=='3' || $_SESSION["opravneni"]=='4'){
        header("Location: ../index.php");
    } else{
        $cas = time();

        if ($cas > $_SESSION['aktivita']) {
            header("Location: ./odhlaseni.php");
        }else{
            $_SESSION['aktivita'] = time() + (30 * 60);
        }

    }
}

function opravneniE(){
    $db= spojeni();

    if(!isset($_SESSION["loginZam"])) {
        header("Location: ../prihlaseni.php");
    }else if($_SESSION["opravneni"]=='4' ){
        header("Location: ../index.php");
    } else {
        $cas = time();

        if ($cas > $_SESSION['aktivita']) {
            header("Location: ./odhlaseni.php");
        }else{
            $_SESSION['aktivita'] = time() + (30 * 60);
        }

    }
}

function opravneniS(){
    $db= spojeni();

    if(!isset($_SESSION["loginZam"])) {
        header("Location: ../prihlaseni.php");
    } else {
        $cas = time();

        if ($cas > $_SESSION['aktivita']) {
            header("Location: ./odhlaseni.php");
        }else{
            $_SESSION['aktivita'] = time() + (30 * 60);
        }

    }
}


function Menu(){
    if (isset($_SESSION["loginZam"])) {
        if ($_SESSION["opravneni"] == '1') {
            include '../body/header_admin.php';
        }else if ($_SESSION["opravneni"] == '2') {
            include '../body/header_ved.php';
        } else if ($_SESSION["opravneni"] == '3') {
            include '../body/header_ekonom.php';
        } else {
            include '../body/header_skladnik.php';
        }

    }
}

function pridaniZbozi() {
    $db = spojeni();
    if (isset($_POST["sended"])) {
        if (empty($_POST["nazev"]) || empty($_POST["popis"]) || empty($_POST["id_vyr"])|| empty($_POST["id_kat"])|| empty($_POST["cena"])|| empty($_POST["mnozstvi"])) {
            echo "Vyplň formulář ";
            echo $_POST["id_vyr"];
            echo $_POST["id_kat"];
        } else {
            $nazev = $_POST["nazev"];
            $popis = "<p>{$_POST["popis"]}</p>";

            $cena = $_POST["cena"];
            $mnozstvi = $_POST["mnozstvi"];
            $vyrobce = $_POST["id_vyr"];
            $kategorie = $_POST["id_kat"];

            $cena=  floatval(str_replace(',', '.', $cena));

            $sql = "INSERT INTO `zbozi` (`nazev`, `popis`, `mnozstvi`, `vyrobce_id`, `kategorie_id`) VALUES (?,?,?,?,?);";
            if ($stmt = $db->prepare($sql)) {
                $stmt->bind_param("ssiii", $nazev, $popis,$mnozstvi,$vyrobce,$kategorie);
                $stmt->execute();
                $id = $stmt->insert_id;
            }

            $sql1 = "INSERT INTO `cena` (`cena`, `zbozi_id`) VALUES (?,?)";
            if ($stmt = $db->prepare($sql1)) {
                $stmt->bind_param("di", $cena,$id);
                $stmt->execute();
            }

            $errors = array();
            $uploadedFiles = array();
            $extension = array("jpeg", "jpg", "png", "gif", "PNG", "JPG", "GIF", "JPEG");
            $bytes = 1024;
            $KB = 4096;
            $totalBytes = $bytes * $KB;
            $UploadFolder = "../images/obrazkyZbozi/" . $id;

            $counter = 0;

            foreach ($_FILES["files"]["tmp_name"] as $key => $tmp_name) {
                $temp = $_FILES["files"]["tmp_name"][$key];
                $name = $_FILES["files"]["name"][$key];

                $pripona = substr($name, strpos($name,"."));

                if (!is_dir($UploadFolder)) {
                    mkdir($UploadFolder);
                }

                if (empty($temp)) {
                    break;
                }

                $counter++;
                $UploadOk = true;

                if ($_FILES["files"]["size"][$key] > $totalBytes) {
                    $UploadOk = false;
                    array_push($errors, $name . " obrázek je větší než 4 MB.");
                }

                $ext = pathinfo($name, PATHINFO_EXTENSION);
                if (in_array($ext, $extension) == false) {
                    $UploadOk = false;
                    array_push($errors, $name . " špatný typ obrázku.");
                }

                if (file_exists($UploadFolder . "/" . $name) == true) {
                    $UploadOk = false;
                    array_push($errors, $name . " obrázek již existuje.");
                }

                if ($UploadOk == true) {
                    move_uploaded_file($temp, $UploadFolder . "/" . $id ."".$pripona);
                    array_push($uploadedFiles, $name);
                }
            }

            if ($counter > 0) {
                if (count($errors) > 0) {
                    echo "<b>Chyby:</b>";
                    echo "<br/><ul>";
                    foreach ($errors as $error) {
                        echo "<li>" . $error . "</li>";
                    }
                    echo "</ul><br/>";
                }
            } else {
                echo "Prosím vyberte obrázky k nahrání";
            }
        }
    }
}

function vypisZboziSmazane(){
    $db = spojeni();

    if (isset($_GET['st'])) {
        if (!preg_match("/^[0-9]+$/", $_GET['st'])) {
            $strana = 1;
        } else {
            $strana = $_GET['st'];
        }
    } else {
        $strana = 1;
    }
    $naStranu = 6;
    $pocetStranData = "SELECT COUNT(*) FROM `zbozi` WHERE `zbozi`.`platnost`=0";
    $dataS = mysqli_query($db, $pocetStranData);
    $stran = mysqli_fetch_array($dataS);
    $pocet = ($strana - 1) * $naStranu;
    $pocetStran = ceil($stran[0] / $naStranu);
    if (isset($_GET['st'])) {
        if ($_GET['st'] > $pocetStran) {
            $strana = 1;
            $pocet = 1;
            $naStranu = 6;
        }
    }


    if (isset($_GET['r'])) {
        if (!preg_match("/^[a-z]+$/", $_GET['r'])) {
            $razeni = "id";
            $zpusob="DESC";
        } else {
            $radit = $_GET['r'];
            if ($radit == "abecedne") {
                $razeni = "nazev";
                $zpusob="ASC";
            }elseif ($radit == "nejlevnejsi") {
                $razeni = "cena";
                $zpusob="ASC";
            }elseif($radit == "nejdrazsi"){
                $razeni = "cena";
                $zpusob="DESC";
            }else{
                $razeni = "id";
                $zpusob="DESC";
            }
        }
    } else {
        $razeni = "id";
        $zpusob="DESC";
    }



    $sql = "SELECT `zbozi`.`idzbozi` AS id,`zbozi`.`nazev`, (SELECT cena.cena FROM cena WHERE zbozi_id=`zbozi`.`idzbozi` ORDER BY cena.datum DESC LIMIT 1) AS cena , `zbozi`.`mnozstvi`, `zbozi`.popis
            FROM `zbozi` JOIN `cena` ON `zbozi`.`idzbozi`= `cena`.`zbozi_id` WHERE `zbozi`.`platnost`=0 GROUP BY `zbozi`.`nazev` ORDER BY $razeni $zpusob LIMIT $pocet, $naStranu";

    echo "<article class='cl'>";
    if ($data = $db->query($sql)) {
        if ($data->num_rows > 0) {

            while ($row = $data->fetch_assoc()) {
                echo "<div class='article'>";
                echo "<div class='foto1'>";

                $nazevSlozky = "../images/obrazkyZbozi/" . $row['id'];
                if (is_dir($nazevSlozky)) {
                    $slozka = opendir($nazevSlozky);
                    for ($i = 0; $i < 1; $i++) {
                        $files = scandir($nazevSlozky);
                        $pocetSoub = count($files);
                        while ($nazevSouboru = readdir($slozka)) {
                            if ($nazevSouboru != "." && $nazevSouboru != ".." && $nazevSouboru != "nahledy" && $nazevSouboru != "thumbs.db" && $nazevSouboru != "Thumbs.db") {

                                echo "<img src='$nazevSlozky/$nazevSouboru' alt='' class='zkft'>";
                                break;
                            } else if ($pocetSoub <= 2) {

                                $odkaz = "images/1.jpg";
                                echo "<img src='$odkaz' alt='' class='zkft'>";
                                break;
                            }
                        }
                    }
                }

                echo "</div>";



                $sqlCena = "SELECT SUM(`objednavky`.`mnozstvi`) AS rez
                            FROM `objednavky` JOIN `faktury` ON `objednavky`.`faktury_id`=faktury.id JOIN `cena` ON `cena`.`id`=`objednavky`.cena_id
                            WHERE `faktury`.`datum_vydani` IS NULL AND `cena`.`zbozi_id`={$row['id']}";
                if ($dataR = $db->query($sqlCena)) {
                    if ($dataR->num_rows > 0) {
                        $rowR = $dataR->fetch_assoc();
                        $mnozRez = $row['mnozstvi']-$rowR['rez'];

                    }
                }

                echo" <div class='cln1'>
                                <h1 class='name'>{$row['nazev']}</h1>
                                <h1 class='name1'>Cena: {$row['cena']} Kč</h1>
                                <h1 class='name1'>Množství: {$mnozRez} kusů</h1>";

                //Oříznutí popisu
                $znak = strpos($row['popis'],'</p>');
                if ($znak<60) {
                    echo substr($row['popis'], 0, $znak);
                    //echo "...";
                }else if(strlen($row['popis'])>=60){
                    echo substr($row['popis'], 0, 60);
                    echo "...";
                }else{
                    echo"<p class='popisZbozi'>";
                    echo $row['popis'];
                    echo"</p>";
                }

                echo"</div>";



                echo"</div>";
            }echo"</article>";

            echo"<section class='obalCisel'>";

            if (!isset($_GET["st"]))
                $i = 1;
            else {
                $i = $_GET['st'];
                if (!preg_match("/^[0-9]+$/", $_GET['st'])) {
                    $i = 1;
                }
            }
            if (isset($_GET['st'])) {
                if ($_GET['st'] > $pocetStran) {
                    $i = 1;
                }
            }

            if ($i > 1) {
                if(isset($_GET['r'])){
                    echo "<a href='zbozi.php?st=1&r=" . ($_GET['r']) . "'>&lt;&lt; </a>";
                }else {
                    echo "<a href='zbozi.php?st=1'>&lt;&lt; </a>";
                }
            }

// PŘEDCHOZÍ
            if ($i > 1) {
                if(isset($_GET['r'])){
                    echo "<a class='stranky'  href='zbozi.php?st=" . ($i - 1) . "&r=" . ($_GET['r']) . "'> &lt; </a>";
                }else {
                    echo "<a class='stranky'  href='zbozi.php?st=" . ($i - 1) . "'> &lt; </a>";
                }
// PŘEDCHOZÍ - CYKLUS
                for ($j = 4; $j > 0; $j--) {
                    if (($i - $j) >= 1) {
                        if(isset($_GET['r'])){
                            echo "<a class='stranky' href='zbozi.php?st=" . ($i - $j) . "&r=" . ($_GET['r']) . "'>" . ($i - $j) . "</a>";
                        }else{
                            echo "<a class='stranky' href='zbozi.php?st=" . ($i - $j) . "'>" . ($i - $j) . "</a>";
                        }
                    }
                }
            }

            echo "<b class='aktualStr'>" . $i . "</b>";

// DALŠÍ
            if ($i < ($pocetStran)) {
                // DALŠÍ - CYKLUS
                for ($m = 1; $m < 4; $m++) {
                    if (($i + $m) <= ceil($pocetStran)) {
                        if(isset($_GET['r'])){
                            echo "<a class='stranky' href='zbozi.php?st=" . ($i + $m) . "&r=" . ($_GET['r']) . "'>" . ($i + $m) . "</a>";
                        }else {
                            echo "<a class='stranky' href='zbozi.php?st=" . ($i + $m) . "'>" . ($i + $m) . "</a>";
                        }
                    }
                }

// DALŠÍ
                if(isset($_GET['r'])){
                    echo "<a class='stranky' href='zbozi.php?st=" . ($i + 1) . "&r=" . ($_GET['r']) . "'> &gt; </a>";
                }else {
                    echo "<a class='stranky' href='zbozi.php?st=" . ($i + 1) . "'> &gt; </a>";
                }

            }


// KONEC
            if ($i < ceil($pocetStran)) {
                if(isset($_GET['r'])){
                    echo "<a class='stranky' href='zbozi.php?st=" . ceil($pocetStran) . "&r=" . ($_GET['r']) . "'> &gt;&gt;</a>";
                }else{
                    echo "<a class='stranky' href='zbozi.php?st=" . ceil($pocetStran) . "'> &gt;&gt;</a>";
                }

            }

            echo "</section>";
        } else
            echo "<p class='hlaska'>Omlouváme se, ale chybí nám tu zbozi.</p>";
    }
}

function vypisZboziUprava() {
    $db = spojeni();

    if (isset($_GET['r'])) {
        if (!preg_match("/^[a-z]+$/", $_GET['r'])) {
            $razeni = "nazev";
            $zpusob="ASC";
        } else {
            $radit = $_GET['r'];
            if ($radit == "n") {
                $razeni = "nazev";
                $zpusob="ASC";
            }elseif ($radit == "m") {
                $razeni = "mnozstvi";
                $zpusob="ASC";
            }elseif($radit == "c"){
                $razeni = "cena";
                $zpusob="ASC";
            }elseif($radit == "p"){
                $razeni = "platnost";
                $zpusob="DESC";
            }else{
                $razeni = "nazev";
                $zpusob="ASC";
            }
        }
    } else {
        $razeni = "nazev";
        $zpusob="ASC";
    }

    $sql = "SELECT `zbozi`.`idzbozi` AS id, `zbozi`.`nazev`, (SELECT cena.cena FROM cena WHERE zbozi_id=`zbozi`.`idzbozi` ORDER BY cena.datum DESC LIMIT 1) AS cena , `zbozi`.`mnozstvi`,`zbozi`.`platnost`
FROM `zbozi` JOIN `cena` ON `zbozi`.`idzbozi`= `cena`.`zbozi_id` GROUP BY `zbozi`.`nazev` ORDER BY $razeni $zpusob";


    if ($data = $db->query($sql)) {
        if ($data->num_rows > 0) {
            echo "<article class='obalTable'><table class='table1'>";
            echo "<tr> <th><a  href='upravaZbozi.php?r=n'>Název</a></th> <th><a href='upravaZbozi.php?r=c'>Cena</a></th>
    <th><a href='upravaZbozi.php?r=m'>Množství</a></th><th><a href='upravaZbozi.php?r=p'>Platnost</a></th> <th></th> <th></th></tr>";

            while ($row = $data->fetch_assoc()) {

                $sqlCena = "SELECT SUM(`objednavky`.`mnozstvi`) AS rez
                            FROM `objednavky` JOIN `faktury` ON `objednavky`.`faktury_id`=faktury.id JOIN `cena` ON `cena`.`id`=`objednavky`.cena_id
                            WHERE `faktury`.`datum_vydani` IS NULL AND `cena`.`zbozi_id`={$row['id']}";
                if ($dataR = $db->query($sqlCena)) {
                    if ($dataR->num_rows > 0) {
                        $rowR = $dataR->fetch_assoc();
                        $rez = $rowR['rez'];
                    }
                }

                if($rez == ''){
                    $rez = 0;
                }

                echo "<tr><td>{$row['nazev']}</td>  <td>{$row['cena']}</td> <td>{$row['mnozstvi']} ({$rez} rezervovano)</td> ";

                if($row['platnost']==1){
                    echo "<td>Platné</td><td><a title='Smazat zboží z nabídky.' href='upravaZbozi.php?sm=true&id={$row['id']}'>Smazat</a></td>";
                }else{
                    echo "<td>Neplatné</td><td><a title='Obnovit zboží do nabídky.' href='upravaZbozi.php?ob=true&id={$row['id']}'>Obnov</a></td>";
                }


                echo "<td><a title='Editace zboží.' href='zboziEditace.php?id={$row['id']}'>Editace</a> <a title='Změna množství.' href='mnozstvi.php?id={$row['id']}'>Mnozstvi</a></td>
                      </tr>";

            }


            echo "</table></article>";
        } else
            echo "<p class='hlaska'>Omlouváme se, ale chybí nám tu zbozi.</p>";
    }

}

function editaceZbozi() {
    $db = spojeni();
    if (isset($_POST["sended"])) {
        if (empty($_POST["nazev"]) || empty($_POST["popis"]) || empty($_POST["id_vyr"])|| empty($_POST["id_kat"])|| empty($_POST["cena"])|| empty($_POST["mnozstvi"])) {
            echo "Vyplň formulář ";
            echo $_POST["id_vyr"];
            echo $_POST["id_kat"];
        } else {
            if (!preg_match("/^[0-9]+$/", $_GET['id'])) {
                return;
            }
            $nazev = $_POST["nazev"];
            $popis = "<p>{$_POST["popis"]}</p>";
            $cena = $_POST["cena"];
            $mnozstvi = $_POST["mnozstvi"];
            $vyrobce = $_POST["id_vyr"];
            $kategorie = $_POST["id_kat"];
            $idZ = $_GET['id'];
            $cena=  floatval(str_replace(',', '.', $cena));



            $sql = "UPDATE `zbozi` SET `nazev` = ?, `popis` = ?, `mnozstvi` = ?, `vyrobce_id` = ?, `kategorie_id` = ? WHERE `zbozi`.`idzbozi` = ?";
            if ($stmt = $db->prepare($sql)) {
                $stmt->bind_param("ssiiii", $nazev, $popis,$mnozstvi,$vyrobce,$kategorie,$idZ);
                $stmt->execute();

            }

            $sqlC = "SELECT cena.cena FROM cena WHERE zbozi_id={$idZ} ORDER BY cena.datum DESC LIMIT 1";
            if($dataC = $db->query($sqlC)){
                if($dataC->num_rows > 0) {
                    $rowC = $dataC->fetch_assoc();
                    if($rowC['cena']!=$cena){
                        $sql1 = "INSERT INTO `cena` (`cena`, `zbozi_id`) VALUES (?,?)";
                        if ($stmt = $db->prepare($sql1)) {
                            $stmt->bind_param("di", $cena,$idZ);
                            $stmt->execute();
                        }
                    }
                }
            }



            $errors = array();
            $uploadedFiles = array();
            $extension = array("jpeg", "jpg", "png", "gif", "PNG", "JPG", "GIF", "JPEG");
            $bytes = 1024;
            $KB = 4096;
            $totalBytes = $bytes * $KB;
            $UploadFolder = "../images/obrazkyZbozi/" . $idZ;

            $counter = 0;


            foreach ($_FILES["files"]["tmp_name"] as $key => $tmp_name) {
                $temp = $_FILES["files"]["tmp_name"][$key];
                $name = $_FILES["files"]["name"][$key];

                $pripona = substr($name, strpos($name,"."));

                if (!is_dir($UploadFolder)) {
                    mkdir($UploadFolder);
                }

                if (empty($temp)) {
                    break;
                }

                $counter++;
                $UploadOk = true;

                if ($_FILES["files"]["size"][$key] > $totalBytes) {
                    $UploadOk = false;
                    array_push($errors, $name . " obrázek je větší než 4 MB.");
                }

                $ext = pathinfo($name, PATHINFO_EXTENSION);
                if (in_array($ext, $extension) == false) {
                    $UploadOk = false;
                    array_push($errors, $name . " špatný typ obrázku.");
                }

                if (file_exists($UploadFolder . "/" . $name) == true) {
                    $UploadOk = false;
                    array_push($errors, $name . " obrázek již existuje.");
                }

                if ($UploadOk == true) {
                    //mazani starenho obr
                    if (is_dir($UploadFolder))
                        $dir_handle = opendir($UploadFolder);
                    while($file = readdir($dir_handle)) {
                        if ($file != "." && $file != "..") {
                            unlink($UploadFolder . "/" . $file);
                        }
                    }
                    closedir($dir_handle);
                    /////

                    move_uploaded_file($temp, $UploadFolder . "/" . $idZ ."".$pripona);
                    array_push($uploadedFiles, $name);
                }
            }

            if ($counter > 0) {
                if (count($errors) > 0) {
                    echo "<b>Chyby:</b>";
                    echo "<br/><ul>";
                    foreach ($errors as $error) {
                        echo "<li>" . $error . "</li>";
                    }
                    echo "</ul><br/>";
                }


                /*if (count($uploadedFiles) > 0) {                //tenhle if je asi k ničemu, dřív vypisoval uložené obrázky, můžeš ho zkusit smazat
                    foreach ($uploadedFiles as $fileName) {
                    }
                }*/

            }
            header("Location: upravaZbozi.php");
        }
    }
}

function smazZbozi(){
    $db = spojeni();

    if (isset($_GET['id'])) {
        if (!preg_match("/^[0-9]+$/", $_GET['id'])) {
            return;
        }

        $sql = "UPDATE `zbozi` SET `platnost` = 0 WHERE `zbozi`.`idzbozi`= ?";
        if ($stmt = $db->prepare($sql)) {
            $stmt->bind_param("i", $_GET['id']);
            $stmt->execute();
            header("Location:upravaZbozi.php");
        } else {
            echo "CHYBA";
        }
    }
}

function obnovZbozi(){
    $db = spojeni();

    if (isset($_GET['id'])) {
        if (!preg_match("/^[0-9]+$/", $_GET['id'])) {
            return;
        }

        $sql = "UPDATE `zbozi` SET `platnost` = 1 WHERE `zbozi`.`idzbozi`= ?";
        if ($stmt = $db->prepare($sql)) {
            $stmt->bind_param("i", $_GET['id']);
            $stmt->execute();
            header("Location:upravaZbozi.php");
        } else {
            echo "CHYBA";
        }
    }
}

function vypisZboziMnozstvi(){
    $db= spojeni();

    if (isset($_GET['id'])) {
        if (!preg_match("/^[0-9]+$/", $_GET['id'])) {
            return;
        }

        $sql="SELECT * FROM zbozi WHERE idzbozi = {$_GET['id']} ORDER BY `nazev` ASC";
        if($data = $db->query($sql)){
            if($data->num_rows > 0)
            {
                while($row = $data->fetch_assoc())
                {
                    echo"<br>";
                    echo "<p class='hlaska'><b>Zboží:</b> {$row['nazev']} <b>Staré množství:</b> $row[mnozstvi] </p>";

                }



            } else
                echo "<p class='hlaska'>Není tu zboží.</p>";
        }else{
            echo "<p class='hlaska'>Není tu zboží.</p>";
        }
    }
}

function mnozstvi() {
    $db = spojeni();

    if (isset($_POST["sended"])) {
        if (empty($_POST["mnozstvi"])) {
            echo "<p class='hlaska'>Vyplň formulář</p>";
        } else {
            if (!preg_match("/^[0-9]+$/", $_GET['id'])) {
                return;
            }
            $id = $_GET['id'];
            $mn = $_POST["mnozstvi"];
            $sql = "UPDATE zbozi SET mnozstvi = ? WHERE idzbozi = ".$id.";";
            if ($stmt = $db->prepare($sql)) {
                $stmt->bind_param("i", $mn);
                $stmt->execute();
                $id = $stmt->insert_id;
                header("Location: upravaZbozi.php");
            }else{
                echo "CHYBA";
            }
        }
    }
}

function vypisKategorie(){
    $db= spojeni();
    $sql = "SELECT * FROM `kategorie` ORDER BY `nazev` ASC";
    if($data = $db->query($sql)){
        if($data->num_rows > 0)
        {
            echo"<br>";
            echo "<select name='id_kat' class='select' required>";
            echo "<option value='' disabled selected>Výběr kategorie</option>";
            while($row = $data->fetch_assoc())
            {
                if(isset($_POST["sendedKK"])){
                    if($_POST["id_kat"]==$row['idkategorie']){
                        echo "<option value='$row[idkategorie]' selected>$row[nazev]</option>";

                    }else{
                        echo "<option value='$row[idkategorie]'>$row[nazev]</option>";
                    }
                }else{
                    echo "<option value='$row[idkategorie]'>$row[nazev]</option>";
                }

            }
            echo "</select>";
        } else
            echo "Nejsou tu zadne kategorie";
    }
}

function vypisUzivateluCombo(){
    $db= spojeni();
    $sql = "SELECT * FROM `uzivatel` JOIN kontakty k on uzivatel.id_kontakt = k.idkontakt JOIN login l on uzivatel.login_id = l.id ORDER BY `nazev` ASC";
    if($data = $db->query($sql)){
        if($data->num_rows > 0)
        {
            echo"<br>";
            echo "<select name='id_uziv' class='select' required>";
            echo "<option value='' disabled selected>Výběr uzivatele</option>";
            while($row = $data->fetch_assoc())
            {
                if(isset($_POST["sendedKU"])){
                    if($_POST["id_uziv"]==$row['login_id']){
                        echo "<option value='$row[login_id]' selected>{$row['nazev']}, {$row['mesto']}";
                        if($row['platnost']==0){echo ", deaktivovaný účet</option>";}else{echo "</option>";}

                    }else{
                        echo "<option value='$row[login_id]'>{$row['nazev']}, {$row['mesto']}";
                        if($row['platnost']==0){echo ", deaktivovaný účet</option>";}else{echo "</option>";}
                    }
                }else{
                    echo "<option value='$row[login_id]'>{$row['nazev']}, {$row['mesto']}";
                    if($row['platnost']==0){echo ", deaktivovaný účet</option>";}else{echo "</option>";}
                }

            }
            echo "</select>";
        } else
            echo "Nejsou tu zadne uzivatele";
    }
}

function vypisZboziCombo(){
    $db= spojeni();
    $sql = "SELECT zbozi.nazev, zbozi.idzbozi, vyrobce.nazev AS vyrobce, zbozi.platnost  FROM `zbozi` JOIN vyrobce on zbozi.vyrobce_id = vyrobce.idvyrobce ORDER BY zbozi.nazev ASC";
    if($data = $db->query($sql)){
        if($data->num_rows > 0)
        {
            echo"<br>";
            echo "<select name='id_zbozi' class='select' required>";
            echo "<option value='' disabled selected>Výběr zboží</option>";
            while($row = $data->fetch_assoc())
            {
                if(isset($_POST["sendedKZ"])){
                    if($_POST["id_zbozi"]==$row['idzbozi']){
                        echo "<option value='$row[idzbozi]' selected>{$row['vyrobce']} {$row['nazev']}";
                        if($row['platnost']==0){echo ", není v nabídce</option>";}else{echo "</option>";}

                    }else{
                        echo "<option value='$row[idzbozi]'>{$row['vyrobce']} {$row['nazev']}";
                        if($row['platnost']==0){echo ", není v nabídce</option>";}else{echo "</option>";}
                    }
                }else{
                    echo "<option value='$row[idzbozi]'>{$row['vyrobce']} {$row['nazev']}";
                    if($row['platnost']==0){echo ", není v nabídce</option>";}else{echo "</option>";}
                }

            }
            echo "</select>";
        } else
            echo "Nejsou tu zadne uzivatele";
    }
}

function vypisUvazku(){
    $db= spojeni();
    $sql = "SELECT * FROM `uvazek` WHERE iduvazek!=1 ORDER BY `nazev` ASC";
    if($data = $db->query($sql)){
        if($data->num_rows > 0)
        {
            echo"<br>";
            echo "<select name='id_uvazek' class='select' required>";
            echo "<option value='' disabled selected>Výběr pozice</option>";
            while($row = $data->fetch_assoc())
            {
                echo "<option value='$row[iduvazek]'>$row[nazev]</option>";
            }
            echo "</select>";
        } else
            echo "Nejsou tu zadne uvazky";
    }
}

function vypisPlatu(){
    $db= spojeni();
    $sql = "SELECT * FROM `plat` ORDER BY `castka` ASC";
    if($data = $db->query($sql)){
        if($data->num_rows > 0)
        {
            echo"<br>";
            echo "<select name='id_plat' class='select' required>";
            echo "<option value='' disabled selected>Výběr platu</option>";
            while($row = $data->fetch_assoc())
            {
                echo "<option value='$row[idplat]'>$row[castka] Kč</option>";
            }
            echo "</select>";
        } else
            echo "Nejsou tu zadne platy";
    }

}

function vypisKategorieUprava() {
    $db = spojeni();


    $sql = "SELECT * FROM `kategorie` ORDER BY `nazev` ASC";


    if ($data = $db->query($sql)) {
        if ($data->num_rows > 0) {
            echo "<article class='obalTable'><table class='table1'>";
            echo "<tr> <th>Název</th><th>Množství výskytů</th><th></th> <th></th></tr>";

            while ($row = $data->fetch_assoc()) {
                $rez = 0;
                $sqlCena = "SELECT COUNT(`zbozi`.`idzbozi`) AS zb
                            FROM `zbozi` WHERE `zbozi`.`kategorie_id` ={$row['idkategorie']}";
                if ($dataR = $db->query($sqlCena)) {
                    if ($dataR->num_rows > 0) {
                        $rowR = $dataR->fetch_assoc();
                        $rez = $rowR['zb'];
                    }
                }

                //if($rez == ''){
                //    $rez = 0;
                //}

                echo "<tr><td>{$row['nazev']}</td> <td>{$rez}</td> <td><a title='Editace vybrané kategorie.' href='editaceKategorie.php?id={$row['idkategorie']}'>Editace</a></td>";
                if($rez==0){echo "<td><a title='Smazat vybranou kategorii.' href='pridaniInfo.php?smk=true&id={$row['idkategorie']}'>Smaž</a></td>"; }else{echo "<td>Smaž</td>";}

                echo "</tr>";

            }


            echo "</table></article>";
        } else
            echo "<p class='hlaska'>Omlouváme se, ale chybí nám tu zbozi.</p>";
    }

}

function vypisVyrobce(){
    $db= spojeni();
    $sql = "SELECT * FROM `vyrobce` ORDER BY `nazev` ASC";
    if($data = $db->query($sql)){
        if($data->num_rows > 0)
        {
            echo"<br>";
            echo "<select name='id_vyr' class='select' required>";
            echo "<option value='' disabled selected>Výběr výrobce</option>";
            while($row = $data->fetch_assoc())
            {
                echo "<option value='$row[idvyrobce]'>$row[nazev]</option>";
            }
            echo "</select>";
        } else
            echo "Nejsou tu zadne kategorie";
    }
}

function vypisVyrobceUprava() {
    $db = spojeni();


    $sql = "SELECT * FROM `vyrobce` JOIN kontakty ON idkontakt=id_kontakt ORDER BY `nazev` ASC";


    if ($data = $db->query($sql)) {
        if ($data->num_rows > 0) {
            echo "<article class='obalTable'><table class='table1'>";
            echo "<tr> <th>Název</th><th>ICO, DICO</th><th>Město, Adresa</th><th>Množství výskytů</th><th></th> <th></th></tr>";

            while ($row = $data->fetch_assoc()) {
                $rez = 0;
                $sqlCena = "SELECT COUNT(`zbozi`.`idzbozi`) AS zb
                            FROM `zbozi` WHERE `zbozi`.`vyrobce_id` ={$row['idvyrobce']}";
                if ($dataR = $db->query($sqlCena)) {
                    if ($dataR->num_rows > 0) {
                        $rowR = $dataR->fetch_assoc();
                        $rez = $rowR['zb'];
                    }
                }

                //if($rez == ''){
                //    $rez = 0;
                //}

                echo "<tr><td>{$row['nazev']}</td><td>{$row['ico']}, {$row['dico']}</td><td>{$row['mesto']}, {$row['adresa']}</td> <td>{$rez}</td> <td><a title='Editace vybraného výrobce.' href='editaceVyrobci.php?id={$row['idvyrobce']}'>Editace</a></td>";
                if($rez==0){echo "<td><a title='Smazat vybraného výrobce.' href='pridaniInfo.php?smv=true&id={$row['idvyrobce']}'>Smaž</a></td>"; }else{echo "<td>Smaž</td>";}

                echo "</tr>";

            }


            echo "</table></article>";
        } else
            echo "<p class='hlaska'>Omlouváme se, ale chybí nám tu zbozi.</p>";
    }

}

function pridatKategorie() {
    $db = spojeni();
    if (isset($_POST["sendedK"])) {
        if (empty($_POST["nazev"])) {
            echo "<p class='hlaska'>Vyplň formulář</p>";
        } else {
            $nazev = $_POST["nazev"];


            $sql5 = "INSERT INTO `kategorie` (`nazev`) VALUES (?);";
            if ($stmt = $db->prepare($sql5)) {
                $stmt->bind_param("s", $nazev);
                $stmt->execute();

                echo "<p class='hlaska'>Kategorie vlozena.</p>";
            }else {
                echo "<p class='hlaska'>Chyba</p>";
            }
        }
    }
}

function editKategorie() {
    $db = spojeni();
    if (isset($_POST["sendedK"]) && isset($_GET['id'])) {
        if (empty($_POST["nazev"])) {
            echo "<p class='hlaska'>Vyplň formulář</p>";
        } else {
            if (!preg_match("/^[0-9]+$/", $_GET['id'])) {
                return;
            }
            $nazev = $_POST["nazev"];


            $sql5 = "UPDATE `kategorie` SET `nazev` = ? WHERE `kategorie`.`idkategorie` = ?";
            if ($stmt = $db->prepare($sql5)) {
                $stmt->bind_param("si", $nazev, $_GET['id']);
                $stmt->execute();

                header("Location:pridaniInfo.php");
            }else {
                echo "<p class='hlaska'>Chyba</p>";
            }
        }
    }
}

function pridatVyrobce() {
    $db = spojeni();
    if (isset($_POST["sendedV"])) {
        if (empty($_POST["nazev"]) || empty($_POST["mesto"]) || empty($_POST["adresa"]) || empty($_POST["ico"]) || empty($_POST["dico"])) {
            echo "<p class='hlaska'>Vyplň formulář</p>";
        } else {
            $nazev = $_POST["nazev"];
            $mesto = $_POST["mesto"];
            $adresa = $_POST["adresa"];
            $ico = $_POST["ico"];
            $dico = $_POST["dico"];

            if(isset($_POST["telefon"])){
                $tel = $_POST["telefon"];
            }else{$tel="";}


            $sql5 = "INSERT INTO `vyrobce` (`nazev`, `ico`, `dico`, `id_kontakt`) VALUES (?,?,?,?);";
            $sqlKon = "INSERT INTO `kontakty` (`mesto`, `adresa`, `telefon`) VALUES (?,?,?);";
            if ($stmt = $db->prepare($sqlKon)) {
                $stmt->bind_param("sss", $mesto, $adresa, $tel);
                $stmt->execute();
                $idKontakt = $stmt->insert_id;
                if ($stmt1 = $db->prepare($sql5)) {
                    $stmt1->bind_param("sssi", $nazev, $ico, $dico, $idKontakt);
                    $stmt1->execute();
                    echo "<p class='hlaska'>Výrobce vlozen.</p>";
                }else{
                    echo "<p class='hlaska'>Chyba</p>";
                }
            }else {
                echo "<p class='hlaska'>Chyba</p>";
            }

        }
    }
}

function pridatVyrobceJSON() {
    $db = spojeni();
    if (isset($_POST["sendedJ"])) {
        $uploaddir = '../uploads/';
        $uploadfile = $uploaddir . basename($_FILES['files']['name']);
        $extension = array("json", "JSON");
        $UploadOk = true;

        $ext = pathinfo($_FILES["files"]["name"], PATHINFO_EXTENSION);
        if (in_array($ext, $extension) == false) {
            $UploadOk = false;
            echo "<p class='hlaska'>Neplatny soubor</p>";

        }

        if ($UploadOk == true) {
            if (move_uploaded_file($_FILES['files']['tmp_name'], $uploadfile)) {

                $jsondata = file_get_contents($uploadfile);
                $obj = json_decode($jsondata,true);

                foreach ($obj as $k=>$v){

                    $nazev = $v["nazev"];
                    $mesto = $v["mesto"];
                    $adresa = $v["adresa"];
                    $tel = v["tel"];
                    $ico = $v["ico"];
                    $dico = $v["dico"];

                    $sql5 = "INSERT INTO `vyrobce` (`nazev`, `ico`, `dico`, `id_kontakt`) VALUES (?,?,?,?);";
                    $sqlKon = "INSERT INTO `kontakty` (`mesto`, `adresa`, `telefon`) VALUES (?,?,?);";
                    if ($stmt = $db->prepare($sqlKon)) {
                        $stmt->bind_param("sss", $mesto, $adresa, $tel);
                        $stmt->execute();
                        $idKontakt = $stmt->insert_id;
                        if ($stmt1 = $db->prepare($sql5)) {
                            $stmt1->bind_param("sssi", $nazev, $ico, $dico, $idKontakt);
                            $stmt1->execute();
                            echo "<p class='hlaska'>Výrobce vlozen.</p>";
                        }else{
                            echo "<p class='hlaska'>Chyba</p>";
                        }
                    }else {
                        echo "<p class='hlaska'>Chyba</p>";
                    }

                }
                echo "<p class='hlaska'>Výrobce/i vlozen/i.</p>";
                unlink($uploadfile);
            } else {
                echo "<p class='hlaska'>Neplatny soubor</p>";
            }
        }

    }
}

function editVyrobce() {
    $db = spojeni();
    if (isset($_POST["sendedV"]) && isset($_GET['id'])) {
        if (empty($_POST["nazev"]) || empty($_POST["mesto"]) || empty($_POST["adresa"]) || empty($_POST["ico"]) || empty($_POST["dico"])) {
            echo "<p class='hlaska'>Vyplň formulář</p>";
        } else {
            if (!preg_match("/^[0-9]+$/", $_GET['id'])) {
                return;
            }
            $nazev = $_POST["nazev"];
            $mesto = $_POST["mesto"];
            $adresa = $_POST["adresa"];
            $ico = $_POST["ico"];
            $dico = $_POST["dico"];
            if(isset($_POST["telefon"])){
                $tel = $_POST["telefon"];
            }else{$tel="";}

            $sql5 = "UPDATE `vyrobce` SET `nazev` = ?, `ico` = ? , `dico` = ? WHERE `vyrobce`.`idvyrobce` = ?";
            $sql6 = "UPDATE `kontakty` SET `mesto` = ?, `adresa` = ? , `telefon` = ? WHERE idkontakt = ?";
            if ($stmt = $db->prepare($sql5)) {
                $stmt->bind_param("sssi", $nazev, $ico, $dico,$_GET['id']);
                $stmt->execute();
                if ($stmt1 = $db->prepare($sql6)) {
                    $stmt1->bind_param("sssi", $mesto, $adresa, $tel, $_POST["idkontakt"]);
                    $stmt1->execute();

                    header("Location:pridaniInfo.php");
                }else {
                    echo "<p class='hlaska'>Chyba1</p>";
                }
            }else {
                echo "<p class='hlaska'>Chyba2</p>";
            }

        }
    }
}

function smazVyrobce(){
    $db = spojeni();

    if (isset($_GET['id'])) {
        if (!preg_match("/^[0-9]+$/", $_GET['id'])) {
            return;
        }

        $sql1 = "SELECT id_kontakt as idkon FROM `vyrobce` WHERE idvyrobce={$_GET['id']}";
        if ($data = $db->query($sql1)) {
            if ($data->num_rows > 0) {
                $row = $data->fetch_assoc();

                $sql = "DELETE FROM `vyrobce` WHERE idvyrobce= ?";
                if ($stmt = $db->prepare($sql)) {
                    $stmt->bind_param("i", $_GET['id']);
                    $stmt->execute();
                } else {
                    echo "CHYBA";
                }
                $sql = "DELETE FROM `kontakty` WHERE idkontakt= ?";
                if ($stmt = $db->prepare($sql)) {
                    $stmt->bind_param("i", $row['idkon']);
                    $stmt->execute();
                } else {
                    echo "CHYBA";
                }
            }
        }


        header("Location:pridaniInfo.php");

    }
}

function smazKategorie(){
    $db = spojeni();

    if (isset($_GET['id'])) {
        if (!preg_match("/^[0-9]+$/", $_GET['id'])) {
            return;
        }

        $sql = "DELETE FROM `kategorie` WHERE idkategorie= ?";
        if ($stmt = $db->prepare($sql)) {
            $stmt->bind_param("i", $_GET['id']);
            $stmt->execute();
        } else {
            echo "CHYBA";
        }


        header("Location:pridaniInfo.php");

    }
}

function vypisUzivatelu() {
    $db = spojeni();


    $sql = "SELECT * FROM `uzivatel` JOIN login l on uzivatel.login_id = l.id JOIN kontakty k on uzivatel.id_kontakt = k.idkontakt";

    if ($data = $db->query($sql)) {
        if ($data->num_rows > 0) {
            echo "<article class='obalTable'><table class='table1'>";
            echo "<tr> <th>Typ </th><th>Název </th> <th>Email</th> <th>ICO, DICO</th><th>Město, Adresa</th><th>Platnost</th>  <th></th><th></th></tr>";

            while ($row = $data->fetch_assoc()) {

                if($row['ico']=="" || $row['dico']==""){
                    echo "<tr><td>-</td>";
                }else if($row['firma']==1){
                    echo "<tr><td>Firma</td>";
                }else if($row['firma']==0){
                    echo "<tr><td>OSVČ</td>";
                }else{
                    echo "<tr><td></td>";
                }


                echo "<td>{$row['nazev']}</td> <td>{$row['email']}</td>";

                if($row['ico']=="" || $row['dico']==""){
                    echo "<td></td>";
                }else {
                    echo "<td>{$row['ico']}, {$row['dico']}</td>";
                }



                echo "<td>{$row['mesto']}, {$row['adresa']}</td> ";
                if($row['platnost']==1){
                    echo "<td>Platné</td><td><a title='Deaktivuje uživatelský účet.' href='spravaUzivatel.php?sm=true&id={$row['id']}'>Smazat</a></td>";
                }else {
                    echo "<td>Neplatné</td><td><a title='Aktivuje uživatelský účet.' href='spravaUzivatel.php?ob=true&id={$row['id']}'>Obnov</a></td>";
                }

                echo "<td><a title='Upravit uživatelské údaje.'href='editaceUzivatel.php?id={$row['id']}'>Edit</a></td>";

                echo "</tr>";

            }


            echo "</table></article>";
        } else
            echo "<p class='hlaska'>Omlouváme se, ale chybí nám tu uzivatele.</p>";
    }

}

function smazaniUzivatele(){
    $db = spojeni();

    if (isset($_GET['id'])) {
        if (!preg_match("/^[0-9]+$/", $_GET['id'])) {
            return;
        }

        $sql = "UPDATE `login` SET `platnost` = 0 WHERE id= ? ";
        if ($stmt = $db->prepare($sql)) {
            $stmt->bind_param("i", $_GET['id']);
            $stmt->execute();
            header("Location:spravaUzivatel.php");
        } else {
            echo "CHYBA";
        }
    }

}

function obnoveniUzivatele(){
    $db = spojeni();

    if (isset($_GET['id'])) {
        if (!preg_match("/^[0-9]+$/", $_GET['id'])) {
            return;
        }

        $sql = "UPDATE `login` SET `platnost` = 1 WHERE id= ? ";
        if ($stmt = $db->prepare($sql)) {
            $stmt->bind_param("i", $_GET['id']);
            $stmt->execute();
            header("Location:spravaUzivatel.php");
        } else {
            echo "CHYBA";
        }
    }

}

function vypisZamestnancu() {
    $db = spojeni();


    $sql = "SELECT * FROM `zamestnanec` JOIN loginzam ON zamestnanec.idzam = loginzam.idlogin JOIN kontakty on zamestnanec.idkontakt = kontakty.idkontakt JOIN uvazek on zamestnanec.iduvazek = uvazek.iduvazek";

    if ($data = $db->query($sql)) {
        if ($data->num_rows > 0) {
            echo "<article class='obalTable'><table class='table1'>";
            echo "<tr> <th>Jméno a přijmení</th> <th>Email</th> <th title='Heslo pro první přihlášení'>Heslo gen.</th><th>Město, Adresa</th><th>Pozice, Platnost</th>  <th></th></tr>";

            while ($row = $data->fetch_assoc()) {

                echo "<td>{$row['jmeno']} {$row['prijmeni']}</td> <td>{$row['email']}</td>";

                echo "<td>{$row['passwordGen']}</td>";

                echo "<td>{$row['mesto']}, {$row['adresa']}</td> ";

                if ($_SESSION['opravneni'] == 1) {
                    if ($row['platnost'] == 1) {
                        echo "<td>{$row['nazev']}, Platné</td><td><a title='Deaktivuje uživatelský účet.' href='spravaZamestnanec.php?sm=true&id={$row['idzam']}'>Smazat</a> ";
                    } else {
                        echo "<td>{$row['nazev']}, Neplatné</td><td><a title='Aktivuje uživatelský účet.' href='spravaZamestnanec.php?ob=true&id={$row['idzam']}'>Obnov</a> ";
                    }

                    echo "<a title='Upravit uživatelské údaje.'href='editaceZam.php?id={$row['idzam']}'>Edit</a>  <a title='Zobrazit log zaměstnance.'href='logZam.php?id={$row['idzam']}'>Log</a></td>";
                } else if ($row['opravneni'] != 1) {
                    if ($row['platnost'] == 1) {
                        echo "<td>{$row['nazev']}, Platné</td><td><a title='Deaktivuje uživatelský účet.' href='spravaZamestnanec.php?sm=true&id={$row['idzam']}'>Smazat</a> ";
                    } else {
                        echo "<td>{$row['nazev']}, Neplatné</td><td><a title='Aktivuje uživatelský účet.' href='spravaZamestnanec.php?ob=true&id={$row['idzam']}'>Obnov</a> ";
                    }

                    echo "<a title='Upravit uživatelské údaje.'href='editaceZam.php?id={$row['idzam']}'>Edit</a> <a title='Zobrazit log zaměstnance.'href='logZam.php?id={$row['idzam']}'>Log</a></td>";
                }else {
                    echo "<td>{$row['nazev']}, Platné</td><td></td>";
                }
                echo "</tr>";

            }


            echo "</table></article>";
        } else
            echo "<p class='hlaska'>Omlouváme se, ale chybí nám tu uzivatele.</p>";
    }

}

function vypisLogZam(){
    $db = spojeni();

    if (isset($_GET['id'])) {
        if (!preg_match("/^[0-9]+$/", $_GET['id'])) {
            return;
        }


        $sql = "SELECT * FROM `logzamest` JOIN loginzam ON logzamest.idzam = loginzam.idlogin JOIN zamestnanec z on loginzam.idlogin = z.idzam WHERE logzamest.idzam={$_GET['id']} ORDER BY `logzamest`.`idlog` DESC";

        $i =0;
        $minulDen = date("Y");
        if ($data = $db->query($sql)) {
            if ($data->num_rows > 0) {
                while ($row = $data->fetch_assoc()) {
                    if ($i==0){
                        $i++;
                        echo "<article class='obalTable'><table class='table1'>";
                        echo "<p class='hlaska'>Zaměstnanec: {$row['jmeno']} {$row['prijmeni']}</p>";

                        echo "<tr> <th>Datum</th> <th>Čas</th></tr>";
                    }
                    $den = date("d. m. Y", strtotime($row['datum']));
                    $cas = date("H:i", strtotime($row['datum']));
                    if($den == $minulDen){
                        echo "<tr><td></td>  <td>{$cas}</td></tr>";
                    }else{
                        $minulDen = $den;
                        echo "<tr><td>{$den}</td>  <td>{$cas}</td></tr>";
                    }

                }


                echo "</table></article>";
            } else
                echo "<h1 class='nadpis_vedlejsi_stranka'>Žádné logy</h1>";
        }
    }

}

function vypisMzdy() {
    $db = spojeni();


    $sql = "SELECT * FROM `zamestnanec` JOIN loginzam ON zamestnanec.idzam = loginzam.idlogin JOIN kontakty on zamestnanec.idkontakt = kontakty.idkontakt JOIN uvazek on zamestnanec.iduvazek = uvazek.iduvazek 
JOIN plat on zamestnanec.platovaTrida = plat.idplat";

    if ($data = $db->query($sql)) {
        if ($data->num_rows > 0) {
            echo "<article class='obalTable'><table class='table1'>";
            echo "<tr> <th>Jméno a přijmení</th> <th>Email</th> <th>Pozice</th><th>Plat</th><th>Bonus</th>  <th></th></tr>";

            while ($row = $data->fetch_assoc()) {

                echo "<td>{$row['jmeno']} {$row['prijmeni']}</td> <td>{$row['email']}</td>";

                echo "<td>{$row['nazev']}</td><td>{$row['castka']}</td><td>{$row['bonus']}</td>";


                echo "<td><a title='Upravit plat zaměstnance.'href='editacePlat.php?id={$row['idzam']}'>Úprava platu</a></td>";

                echo "</tr>";

            }


            echo "</table></article>";
        } else
            echo "<p class='hlaska'>Omlouváme se, ale chybí nám tu uzivatele.</p>";
    }

}

function smazaniZamestnance(){
    $db = spojeni();

    if (isset($_GET['id'])) {
        if (!preg_match("/^[0-9]+$/", $_GET['id'])) {
            return;
        }

        $sql = "UPDATE `loginzam` SET `platnost` = 0 WHERE idlogin= ? ";
        if ($stmt = $db->prepare($sql)) {
            $stmt->bind_param("i", $_GET['id']);
            $stmt->execute();
            header("Location:spravaUzivatel.php");
        } else {
            echo "CHYBA";
        }
    }

}

function obnoveniZamestnance(){
    $db = spojeni();

    if (isset($_GET['id'])) {
        if (!preg_match("/^[0-9]+$/", $_GET['id'])) {
            return;
        }

        $sql = "UPDATE `loginzam` SET `platnost` = 1 WHERE idlogin= ? ";
        if ($stmt = $db->prepare($sql)) {
            $stmt->bind_param("i", $_GET['id']);
            $stmt->execute();
            header("Location:spravaUzivatel.php");
        } else {
            echo "CHYBA";
        }
    }

}

function editUdajuUcet($id){
    $db = spojeni();
    if (isset($_POST["sendedD"])) {
        if (empty($_POST["jmeno"]) || empty($_POST["prijmeni"])  || empty($_POST["mesto"]) || empty($_POST["adresa"])) {
            echo "<p class='hlaska'>Vyplň formulář</p>";
        } else{
            $jmeno = $_POST["jmeno"];
            $prijmeni = $_POST["prijmeni"];
            $mesto = $_POST["mesto"];
            $adresa = $_POST["adresa"];

            if (isset($_POST["telefon"])) {
                $tel = $_POST["telefon"];
            } else {
                $tel = "";
            }


            $sql5 = "UPDATE `zamestnanec` SET `jmeno` = ?, `prijmeni` = ? WHERE `zamestnanec`.`idzam` = ?";
            if ($stmt = $db->prepare($sql5)) {
                $stmt->bind_param("ssi", $jmeno,$prijmeni, $id);
                $stmt->execute();

            }
            $sql1 = "SELECT idkontakt as idkon FROM `zamestnanec` WHERE idzam={$id} LIMIT 1";
            if ($data = $db->query($sql1)) {
                if ($data->num_rows > 0) {
                    $row = $data->fetch_assoc();
                    $sql6 = "UPDATE `kontakty` SET `mesto` = ?, `adresa` = ?, `telefon` = ? WHERE `kontakty`.`idkontakt` = ?";
                    if ($stmt = $db->prepare($sql6)) {
                        $stmt->bind_param("sssi", $mesto, $adresa, $tel, $row['idkon']);
                        $stmt->execute();

                    }
                }
            }

            header("Location:zamestnanec.php");

        }
    }
}

function editHeslaUcet($id){
    $db = spojeni();
    if (isset($_POST["sendedH"])) {
        if (empty($_POST["heslo1"]) || empty($_POST["heslo2"])) {
            echo "<p class='hlaska'>Vyplň formulář</p>";
        } else if ($_POST["heslo1"] != $_POST["heslo2"]) {
            echo "<p class='hlaska'>Hesla nejsou stejná.</p>";
        } else {
            $heslo = password_hash($_POST["heslo1"], PASSWORD_BCRYPT);


            $sql5 = "UPDATE `loginzam` SET `password` = ?,`passwordGen` = '' WHERE `loginzam`.`idlogin` = ?";
            if ($stmt = $db->prepare($sql5)) {
                $stmt->bind_param("si", $heslo, $id);
                $stmt->execute();
            }

            header("Location:odhlaseni.php");

        }
    }
}

function prvniPrihlaseni()
{
    $db = spojeni();
    $id = $_SESSION['id'];

    $sql = "SELECT idlogin, passwordGen, DATE_FORMAT(`datum`, '%d. %m. %Y v %H:%i') AS dat FROM `loginZam` JOIN logzamest ON idlogin=logzamest.idzam WHERE idlogin={$id} ORDER BY datum DESC LIMIT 1,1";
    if($data = $db->query($sql)){
        if($data->num_rows > 0){
            $row = $data->fetch_assoc();
            if($row['passwordGen']!=""){
                echo "<p class='hlaska'>Prosím změntě si automaticky vygenerované heslo na stránce <a href='./editaceZam.php?id={$id}'>účtu.</a> Děkujeme.</p>";
                echo "<p class='hlaska'>Veškeré funkcionality najdete v horním menu.</p>";
            }
            echo "<p class='hlaska'>Poslední přihlášení dne {$row['dat']}.</p>";
        }else{
            echo "<p class='hlaska'>Prosím změntě si automaticky vygenerované heslo na stránce <a href='./editaceZam.php?id={$id}'>účtu.</a> Děkujeme.</p>";
            echo "<p class='hlaska'>Veškeré funkcionality najdete v horním menu.</p>";
        }

    }
}

function editUdajuZam($id){
    $db = spojeni();
    if (isset($_POST["sendedD"])) {
        if (empty($_POST["jmeno"]) || empty($_POST["prijmeni"])  || empty($_POST["mesto"]) || empty($_POST["adresa"])) {
            echo "<p class='hlaska'>Vyplň formulář</p>";
        } else{
            $jmeno = $_POST["jmeno"];
            $prijmeni = $_POST["prijmeni"];
            $mesto = $_POST["mesto"];
            $adresa = $_POST["adresa"];
            $oprav = $_POST["id_uvazek"];
            $plat = $_POST["id_plat"];

            if (isset($_POST["telefon"])) {
                $tel = $_POST["telefon"];
            } else {
                $tel = "";
            }
            if (isset($_POST["bonus"])) {
                $bonus = $_POST["bonus"];
            } else {
                $bonus = 0;
            }




            $sql5 = "UPDATE `zamestnanec` SET `jmeno` = ?, `prijmeni` = ?, `platovaTrida` = ?, `iduvazek` = ?, `bonus` = ? WHERE `zamestnanec`.`idzam` = ?";
            if ($stmt = $db->prepare($sql5)) {
                $stmt->bind_param("ssiiii", $jmeno,$prijmeni,$plat, $oprav,$bonus, $id);
                $stmt->execute();

            }
            $sqlLog = "UPDATE `loginzam` SET `opravneni` =? WHERE `idlogin` = ?";
            if ($stmt1 = $db->prepare($sqlLog)) {
                $stmt1->bind_param("ii", $oprav,$id);
                $stmt1->execute();

            }
            $sql1 = "SELECT idkontakt as idkon FROM `zamestnanec` WHERE idzam={$id} LIMIT 1";
            if ($data = $db->query($sql1)) {
                if ($data->num_rows > 0) {
                    $row = $data->fetch_assoc();
                    $sql6 = "UPDATE `kontakty` SET `mesto` = ?, `adresa` = ?, `telefon` = ? WHERE `kontakty`.`idkontakt` = ?";
                    if ($stmt = $db->prepare($sql6)) {
                        $stmt->bind_param("sssi", $mesto, $adresa, $tel, $row['idkon']);
                        $stmt->execute();

                    }
                }
            }

            if ($_SESSION['opravneni']==1 || $_SESSION['opravneni']==2){
                header("Location:spravaZamestnanec.php");
            }else{
                header("Location:../index.php");
            }
        }
    }
}

function editHeslaZam($id){
    $db = spojeni();
    if (isset($_POST["sendedH"])) {
        if (empty($_POST["heslo1"]) || empty($_POST["heslo2"])) {
            echo "<p class='hlaska'>Vyplň formulář</p>";
        } else if ($_POST["heslo1"] != $_POST["heslo2"]) {
            echo "<p class='hlaska'>Hesla nejsou stejná.</p>";
        } else {
            $heslo = password_hash($_POST["heslo1"], PASSWORD_BCRYPT);


            $sql5 = "UPDATE `loginzam` SET `password` = ?,`passwordGen` = '' WHERE `loginzam`.`idlogin` = ?";
            if ($stmt = $db->prepare($sql5)) {
                $stmt->bind_param("si", $heslo, $id);
                $stmt->execute();
            }
            if ($_SESSION['opravneni']==1){
                header("Location:spravaZamestnanec.php");
            }else{
                header("Location:odhlaseni.php");
            }
        }
    }
}

function editPlatuZam($id){
    $db = spojeni();
    if (isset($_POST["sendedD"])) {
            $plat = $_POST["id_plat"];

            if (isset($_POST["bonus"])) {
                $bonus = $_POST["bonus"];
            } else {
                $bonus = 0;
            }




            $sql5 = "UPDATE `zamestnanec` SET `platovaTrida` = ?, `bonus` = ? WHERE `zamestnanec`.`idzam` = ?";
            if ($stmt = $db->prepare($sql5)) {
                $stmt->bind_param("iii", $plat, $bonus, $id);
                $stmt->execute();

            }


            if ($_SESSION['opravneni']==1 || $_SESSION['opravneni']==2 || $_SESSION['opravneni']==3){
                header("Location:vypisMzdy.php");
            }else{
                header("Location:../index.php");
            }

    }
}

function editUdaju($id){
    $db = spojeni();
    if (isset($_POST["sendedD"])) {
        if (empty($_POST["jmeno"]) || empty($_POST["prijmeni"])  || empty($_POST["mesto"]) || empty($_POST["adresa"])) {
            echo "<p class='hlaska'>Vyplň formulář</p>";
        } else {
            $nazev = "{$_POST["jmeno"]} {$_POST["prijmeni"]}";
            $mesto = $_POST["mesto"];
            $adresa = $_POST["adresa"];

            if(isset($_POST["ico"])){
                $ico = $_POST["ico"];
            }else{$ico="";}

            if(isset($_POST["dico"])){
                $dico = $_POST["dico"];
            }else{$dico="";}

            if(isset($_POST["telefon"])){
                $tel = $_POST["telefon"];
            }else{$tel="";}



            $sql5 = "UPDATE `uzivatel` SET `nazev` = ?, `ico` = ?, `dico` = ? WHERE `uzivatel`.`login_id` = ?";
            if ($stmt = $db->prepare($sql5)) {
                $stmt->bind_param("sssi", $nazev, $ico, $dico,$id);
                $stmt->execute();

            }
            $sql1 = "SELECT id_kontakt as idkon FROM `uzivatel` WHERE login_id={$id} LIMIT 1";
            if ($data = $db->query($sql1)) {
                if ($data->num_rows > 0) {
                    $row = $data->fetch_assoc();
                    $sql6 = "UPDATE `kontakty` SET `mesto` = ?, `adresa` = ?, `telefon` = ? WHERE `kontakty`.`idkontakt` = ?";
                    if ($stmt = $db->prepare($sql6)) {
                        $stmt->bind_param("sssi", $mesto, $adresa, $tel, $row['idkon']);
                        $stmt->execute();

                    }
                }
            }

            if ($_SESSION['opravneni']==1){
                header("Location:spravaUzivatel.php");
            }else{
                header("Location:index.php");
            }
        }
    }

    if (isset($_POST["sendedDF"])) {
        if (empty($_POST["nazev"]) || empty($_POST["ico"]) || empty($_POST["dico"]) || empty($_POST["mesto"]) || empty($_POST["adresa"])) {
            echo "<p class='hlaska'>Vyplň formulář</p>";
        } else {
            $nazev = "{$_POST["nazev"]}";
            $mesto = $_POST["mesto"];
            $adresa = $_POST["adresa"];
            $ico = $_POST["ico"];
            $dico = $_POST["dico"];

            if(isset($_POST["telefon"])){
                $tel = $_POST["telefon"];
            }else{$tel="";}



            $sql5 = "UPDATE `uzivatel` SET `nazev` = ?, `ico` = ?, `dico` = ? WHERE `uzivatel`.`login_id` = ?";
            if ($stmt = $db->prepare($sql5)) {
                $stmt->bind_param("sssi", $nazev, $ico, $dico,$id);
                $stmt->execute();

            }
            $sql1 = "SELECT id_kontakt as idkon FROM `uzivatel` WHERE login_id={$id} LIMIT 1";
            if ($data = $db->query($sql1)) {
                if ($data->num_rows > 0) {
                    $row = $data->fetch_assoc();
                    $sql6 = "UPDATE `kontakty` SET `mesto` = ?, `adresa` = ?, `telefon` = ? WHERE `kontakty`.`idkontakt` = ?";
                    if ($stmt = $db->prepare($sql6)) {
                        $stmt->bind_param("sssi", $mesto, $adresa, $tel, $row['idkon']);
                        $stmt->execute();

                    }
                }
            }

            if ($_SESSION['opravneni']==1){
                header("Location:spravaUzivatel.php");
            }else{
                header("Location:index.php");
            }
        }
    }
}

function editHesla($id){
    $db = spojeni();
    if (isset($_POST["sendedH"])) {
        if (empty($_POST["heslo1"]) || empty($_POST["heslo2"])) {
            echo "<p class='hlaska'>Vyplň formulář</p>";
        } else if ($_POST["heslo1"] != $_POST["heslo2"]) {
            echo "<p class='hlaska'>Hesla nejsou stejná.</p>";
        } else {
            $heslo = password_hash($_POST["heslo1"], PASSWORD_BCRYPT);


            $sql5 = "UPDATE `login` SET `password` = ? WHERE `login`.`id` = ?";
            if ($stmt = $db->prepare($sql5)) {
                $stmt->bind_param("si", $heslo, $id);
                $stmt->execute();
            }
            if ($_SESSION['opravneni']==1){
                header("Location:spravaUzivatel.php");
            }else{
                header("Location:odhlaseni.php");
            }
        }
    }
}

function vypisRezervaci() {
    $db = spojeni();



        $sql = "SELECT `faktury`.`id`, `faktury`.`datum_vytvoreni`, `uzivatel`.`nazev`, SUM(`cena`.`cena`) AS cena
FROM `faktury`JOIN `objednavky` ON faktury.id=objednavky.faktury_id JOIN `cena` ON objednavky.cena_id=cena.id JOIN `login` ON `login`.`id`=`faktury`.`login_id` JOIN uzivatel on login.id = uzivatel.login_id
WHERE `faktury`.`datum_vydani` IS NULL
GROUP BY `faktury`.`id`";


    if ($data = $db->query($sql)) {
        if ($data->num_rows > 0) {
            echo "<article class='obalTable'><table class='table1'>";
            echo "<tr> <th>Číslo faktury</th> <th>Datum vytvoreni</th><th>Uživatel</th> <th>Cena</th> <th></th><th></th></tr>";

            while ($row = $data->fetch_assoc()) {
                $sqlC = "SELECT `objednavky`.`mnozstvi`, `cena`.`cena` FROM `objednavky` JOIN `cena` ON objednavky.cena_id=cena.id WHERE objednavky.faktury_id={$row['id']}";
                $cenaCelkem =0;
                if ($dataC = $db->query($sqlC)) {
                    if ($dataC->num_rows > 0) {
                        while ($rowC = $dataC->fetch_assoc()) {
                            $cenaCelkem = $cenaCelkem +($rowC['mnozstvi']*$rowC['cena']);
                        }
                    }
                }
                $vytvoreni = date("d. m. Y H:i", strtotime($row['datum_vytvoreni']));

                echo "<tr><td>{$row['id']}</td>  <td>{$vytvoreni}</td> <td>{$row['nazev']}</td> <td>{$cenaCelkem} Kč</td>
                        <td><a title='Zobrazí podrobnosti rezervace.' href='podrobnosti.php?id={$row['id']}'>Podrobnosti</a></td> ";
                echo "<td><a title='Označí rezervaci jako vydanou.' href='rezervace.php?vd=true&id={$row['id']}'>Vydat</a> <a title='Zruší rezervaci' href='rezervace.php?zr=true&id={$row['id']}'>Zrušit</a></td>";

                echo"</tr>";

            }

            echo "<tr><td colspan='5'></td><td><a title='Smaže rezervace starší 10 dnů.' href='rezervace.php?sm=true' class='a'><button class='tlacitko1'>Smazání starých rezervací</button></a></td></tr>";
            echo "</table></article>";
        } else
            echo "<h1 class='nadpis_vedlejsi_stranka'>Žádné rezervace</h1>";
    }

}

function smazProsleRezervace(){
    $db = spojeni();
    mysqli_query($db,"CALL mazaniRezervaci");
}

function vypisHistorieRezervaci() {
    $db = spojeni();


        $sql = "SELECT `faktury`.`id`, `faktury`.`datum_vytvoreni`, `faktury`.`datum_vydani`, `uzivatel`.`nazev`, SUM(`cena`.`cena`) AS cena,`faktury`.`datum_fakturace`
FROM `faktury`JOIN `objednavky` ON faktury.id=objednavky.faktury_id JOIN `cena` ON objednavky.cena_id=cena.id JOIN `login` ON `login`.`id`=`faktury`.`login_id` JOIN uzivatel on login.id = uzivatel.login_id
WHERE `faktury`.`datum_vydani` IS NOT NULL
GROUP BY `faktury`.`id`";

    if ($data = $db->query($sql)) {
        if ($data->num_rows > 0) {
            echo "<article class='obalTable'><table class='table1'>";
            echo "<tr> <th>Číslo faktury</th> <th>Datum vytvoreni</th> <th>Datum vydání</th><th>Uživatel</th> <th>Cena</th> <th></th></tr>";

            while ($row = $data->fetch_assoc()) {
                $sqlC = "SELECT `objednavky`.`mnozstvi`, `cena`.`cena` FROM `objednavky` JOIN `cena` ON objednavky.cena_id=cena.id WHERE objednavky.faktury_id={$row['id']}";
                $cenaCelkem =0;
                if ($dataC = $db->query($sqlC)) {
                    if ($dataC->num_rows > 0) {
                        while ($rowC = $dataC->fetch_assoc()) {
                            $cenaCelkem = $cenaCelkem +($rowC['mnozstvi']*$rowC['cena']);
                        }
                    }
                }
                $vydani = date("d. m. Y H:i", strtotime($row['datum_vydani']));
                $vytvoreni = date("d. m. Y H:i", strtotime($row['datum_vytvoreni']));

                echo "<tr><td>{$row['id']} ".($row["datum_fakturace"]!=NULL?"Vyfakturovano":"")."</td>  <td>{$vytvoreni}</td> <td>{$vydani}</td> 
                        <td>{$row['nazev']}</td> <td>{$cenaCelkem} Kč</td>";
                if($_SESSION["opravneni"] != 4) {
                    if ($row["datum_fakturace"] == NULL) {

                        echo "<td><a title='Zobrazí podrobnosti rezervace' href='podrobnosti.php?id={$row['id']}'>Obsah obj.</a> <a title='Označí jako vyfakturováno.' href='historieRezervace.php?fk=true&id={$row['id']}'>Vyfaktovat</a></td>";

                    } else {
                        echo "<td><a title='Zobrazí podrobnosti rezervace' href='podrobnosti.php?id={$row['id']}'>Obsah obj.</a> <a title='Zobrazí fakturu.' href='faktura.php?id={$row['id']}'>Faktura</a></td>";
                    }
                }else {
                    echo "<td><a title='Zobrazí podrobnosti rezervace' href='podrobnosti.php?id={$row['id']}'>Obsah obj.</a> </td>";
                }
                echo "</tr>";
            }
            if($_SESSION["opravneni"] == 1 || $_SESSION["opravneni"] == 2) {
                echo "<tr><td colspan='5'></td><td><a title='Uloží faktury do JSON formátu.' href='historieRezervace.php?vd=true' class='a'><button class='tlacitko1'>To json</button></a></td></tr>";
            }
            echo "</table></article>";
        } else
            echo "<h1 class='nadpis_vedlejsi_stranka'>Žádné historie</h1>";
    }
}

function vydatZbozi()
{
    $db = spojeni();

    if (isset($_GET['id'])) {
        if (!preg_match("/^[0-9]+$/", $_GET['id'])) {
            return;
        }

        $sql = "UPDATE `faktury` SET `datum_vydani` = CURRENT_TIMESTAMP WHERE `faktury`.`id`= ?";
        if ($stmt = $db->prepare($sql)) {
            $stmt->bind_param("i", $_GET['id']);
            $stmt->execute();
        } else {
            echo "CHYBA";
        }

        $sql = "SELECT `zbozi`.`idzbozi`, `zbozi`.`mnozstvi` AS mn, `objednavky`.`mnozstvi` AS obj
FROM `objednavky` JOIN `cena` ON objednavky.cena_id=cena.id JOIN `zbozi` ON zbozi.idzbozi=cena.zbozi_id JOIN `vyrobce` ON zbozi.vyrobce_id=vyrobce.idvyrobce
WHERE objednavky.faktury_id={$_GET['id']}";


        if ($data = $db->query($sql)) {
            if ($data->num_rows > 0) {
                while ($row = $data->fetch_assoc()) {
                    $noveMnozstvi = $row['mn'] - $row['obj'];
                    $sqlU = "UPDATE `zbozi` SET `mnozstvi` = ? WHERE `zbozi`.`idzbozi` = ?";
                    if ($stmt = $db->prepare($sqlU)) {
                        $stmt->bind_param("ii",$noveMnozstvi ,$row['idzbozi']);
                        $stmt->execute();
                    } else {
                        echo "CHYBA";
                    }
                }
                header("Location:rezervace.php");
            }
        }
    }
}

function vyfakturovat()
{
    $db = spojeni();

    if (isset($_GET['id'])) {
        if (!preg_match("/^[0-9]+$/", $_GET['id'])) {
            return;
        }

        $sql = "UPDATE `faktury` SET `datum_fakturace` = CURRENT_TIMESTAMP WHERE `faktury`.`id`= ?";
        if ($stmt = $db->prepare($sql)) {
            $stmt->bind_param("i", $_GET['id']);
            $stmt->execute();
        } else {
            echo "CHYBA";
        }

        header("Location:historieRezervace.php");


    }
}

function zrusitRezervaciZbozi()
{
    $db = spojeni();

    if (isset($_GET['id'])) {
        if (!preg_match("/^[0-9]+$/", $_GET['id'])) {
            return;
        }

        $sql = "DELETE FROM `objednavky` WHERE `objednavky`.`faktury_id` = ?";
        if ($stmt = $db->prepare($sql)) {
            $stmt->bind_param("i", $_GET['id']);
            $stmt->execute();
        } else {
            echo "CHYBA";
        }

        $sql = "DELETE FROM `faktury` WHERE `faktury`.`id`= ?";
        if ($stmt = $db->prepare($sql)) {
            $stmt->bind_param("i", $_GET['id']);
            $stmt->execute();
        } else {
            echo "CHYBA";
        }


        header("Location:rezervace.php");

    }
}

function vypisRezervaciPodrobnosti() {
    $db = spojeni();

    if (isset($_GET['id'])) {
        if (!preg_match("/^[0-9]+$/", $_GET['id'])) {
            return;
        }


        $sql = "SELECT `zbozi`.`nazev` as zbozi, `objednavky`.`mnozstvi`, `vyrobce`.`nazev` AS vyrobce, `faktury`.`id`, `faktury`.`datum_vytvoreni`, `faktury`.`datum_vydani`, `uzivatel`.`nazev`, cena.cena, kategorie.nazev AS kategorie
FROM `objednavky` JOIN `cena` ON objednavky.cena_id=cena.id JOIN `zbozi` ON zbozi.idzbozi=cena.zbozi_id JOIN `vyrobce` ON zbozi.vyrobce_id=vyrobce.idvyrobce JOIN kategorie ON zbozi.kategorie_id = kategorie.idkategorie
JOIN `faktury` ON faktury.id=objednavky.faktury_id JOIN `login` ON `login`.`id`=`faktury`.`login_id` JOIN uzivatel on login.id = uzivatel.login_id
WHERE objednavky.faktury_id={$_GET['id']}";

        $i =0;
        if ($data = $db->query($sql)) {
            if ($data->num_rows > 0) {
                $cenaCelkem=0;


                while ($row = $data->fetch_assoc()) {
                    $cenaCelkem = $cenaCelkem +($row['mnozstvi']*$row['cena']);
                    if ($i==0){
                        $i=1;
                        $vytvoreni = date("d. m. Y H:i", strtotime($row['datum_vytvoreni']));
                        $vydani = date("d. m. Y H:i", strtotime($row['datum_vydani']));
                        echo "<article class='obalTable'><table class='table1'>";
                        echo "<p class='hlaska'>Číslo faktury: {$_GET['id']}</p>";
                        if($row['datum_vydani']==""){
                            echo "<p class='hlaska'> Vytvoření: {$vytvoreni} Vydání: Nevydáno</p> 
                                    <p class='hlaska'>Odběratel: {$row['nazev']}</p>";
                        }else{
                            echo "<p class='hlaska'> Vytvoření: {$vytvoreni} Vydání: {$vydani}</p> 
                                    <p class='hlaska'>Odběratel: {$row['nazev']}</p>";
                        }

                        echo "<tr> <th>Kategorie</th> <th>Název produktu</th><th>Množství, Cena za ks</th ><th>Cena</th></tr>";
                    }
                    $celkem =  $row['mnozstvi']*$row['cena'];
                    echo "<tr><td>{$row['kategorie']}</td>  <td>{$row['vyrobce']} {$row['zbozi']}</td> <td>{$row['mnozstvi']}ks, {$row['cena']}Kč</td> <td> {$celkem}Kč</td></tr>";

                }
                echo "<tr><td></td>  <td></td> <td></td> <td>CELKEM: {$cenaCelkem}Kč</td></tr>";
                echo "</table></article>";
            } else
                echo "<h1 class='nadpis_vedlejsi_stranka'>Žádné rezervace</h1>";
        }
    }
}

function vypisRezervaciFaktura() {
    $db = spojeni();

    if (isset($_GET['id'])) {
        if (!preg_match("/^[0-9]+$/", $_GET['id'])) {
            return;
        }


        $sql = "SELECT `zbozi`.`nazev` as zbozi, `objednavky`.`mnozstvi`, `vyrobce`.`nazev` AS vyrobce, `faktury`.`id`, `faktury`.`datum_vytvoreni`, `faktury`.`datum_vydani`,`faktury`.`datum_fakturace`,
 `uzivatel`.`nazev`, cena.cena, kategorie.nazev AS kategorie,kontakty.mesto, kontakty.adresa ,uzivatel.ico, uzivatel.dico, DATE_FORMAT(`faktury`.`datum_vydani` , '%d. %m. %Y') AS dVydani,
 DATE_FORMAT(`faktury`.`datum_fakturace` , '%d. %m. %Y') AS dFaktur, DATE_FORMAT((`faktury`.`datum_vydani` + INTERVAL 30 DAY) , '%d. %m. %Y') AS splatnost
 FROM `objednavky` JOIN `cena` ON objednavky.cena_id=cena.id JOIN `zbozi` ON zbozi.idzbozi=cena.zbozi_id JOIN `vyrobce` ON zbozi.vyrobce_id=vyrobce.idvyrobce 
 JOIN kategorie ON zbozi.kategorie_id = kategorie.idkategorie JOIN `faktury` ON faktury.id=objednavky.faktury_id JOIN `login` ON `login`.`id`=`faktury`.`login_id` 
 JOIN uzivatel on login.id = uzivatel.login_id JOIN kontakty ON kontakty.idkontakt=uzivatel.id_kontakt WHERE objednavky.faktury_id={$_GET['id']}";

        $i =0;
        if ($data = $db->query($sql)) {
            if ($data->num_rows > 0) {
                $cenaCelkem = 0;


                while ($row = $data->fetch_assoc()) {

                    if ($row['datum_vydani'] == NULL) {
                        echo "<p class='hlaska'>Zboží ještě nebylo vydáno.</p>";
                        return;
                    }
                    $cenaCelkem = $cenaCelkem + ($row['mnozstvi'] * $row['cena']);
                    if ($i == 0) {
                        $i = 1;
                        $r = date("Y");
                        $cisloFak = "{$r}0{$_GET['id']}";
                        echo "<article ><table class='tableFaktura'><tr><th></th><th></th></th><th colspan='2'>Faktura</th><th></th><th></th></tr>

                        <tr><td colspan='2' class='tableHead'>Email:&nbsp;lukas.karlik@staveb.cz</td><td class='tableHead'>Číslo&nbsp;uctu:&nbsp;2345128912/3000</td><td colspan='3' class='tableHead'>Faktura&nbsp;číslo:&nbsp;{$cisloFak}, Variabilní&nbsp;symbol:&nbsp;{$cisloFak}</td></tr>
                        
                        <tr><td colspan='3' class='tableHead'><p>Dodavatel</p><h3>Stavebniny</h3><h3>Obrancu miru 26</h3><h3>Pardubice</h3><p>ICO:65454654 DIC:CZ65454654</p></td>
                        <td colspan='3' class='tableHead'><p>Odběratel</p><h3>{$row['nazev']}</h3><h3>{$row['adresa']}</h3><h3>{$row['mesto']}</h3><p>ICO:{$row['ico']} DIC:{$row['dico']}</p></td></tr>

                        <tr><td colspan='3' class='tableHead'></td>
            <td colspan='3' class='tableHead'><p>Den splatnosti {$row['splatnost']}</p><p>Forma úhrady PP</p><p>Datum vystavení faktury {$row['dFaktur']}</p><p>Datum uskutečnění zdan. plnění {$row['dVydani']}</p></td></tr>";


                        echo "<tr><td colspan='2' class='tableHead'>Zboží</td><td class='tableHead'>Množství</td>
            <td class='tableHead'>Cena&nbsp;bez&nbsp;DPH</td>
            <td class='tableHead'>s&nbsp;DPH&nbsp;21%</td>
            <td class='tableHead'>Celkem&nbsp;Kč&nbsp;s&nbsp;DPH</td></tr>";
                    }
                    $celkem = $row['mnozstvi'] * $row['cena'];
                    $cenaBezDPH = $row['cena']/100*79;
                    echo "<tr><td colspan='2'>{$row['kategorie']}: {$row['vyrobce']} {$row['zbozi']}</td>  <td>{$row['mnozstvi']}ks</td> <td> {$cenaBezDPH},-</td> <td> {$row['cena']},-</td> <td> {$celkem},-</td></tr>";

                }
                $cenaCelkemBez = $cenaCelkem/100*79;
                echo "<tr><td colspan='2'></td> <td></td><td></td><td><b>CELKEM bez DPH:</b> </td> <td><b>{$cenaCelkemBez}&nbsp;Kč</b></td></tr>";
                echo "<tr><td colspan='2'></td> <td></td><td></td><td><b>CELKEM s DPH:</b> </td> <td><b>{$cenaCelkem}&nbsp;Kč</b></td></tr>";
                echo "<tr><td colspan='2'></td> <td></td><td></td><td><h2>K ÚHRADĚ:</h2> </td> <td><h2>{$cenaCelkem}&nbsp;Kč</h2></td></tr>";
                echo "</table></article>";
            } else
                echo "<h1 class='nadpis_vedlejsi_stranka'>Žádné faktura</h1>";
        }
    }
}

function sestavaPrednastavena(){
    $db = spojeni();

    if (isset($_POST['pred']) && isset($_POST["sendedV"])) {
        $verze = $_POST['pred'];
        if ($verze == "v1") {

            $sql = "SELECT login.email,`uzivatel`.`nazev`, SUM(`objednavky`.`mnozstvi`*cena.cena) AS obrat, SUM(`objednavky`.`mnozstvi`) AS mnozstvi, DATE_FORMAT(login.create_time , '%d. %m. %Y v %H:%i') AS registrace, COUNT(objednavky.id)AS pocet
FROM `objednavky` JOIN `cena` ON objednavky.cena_id=cena.id JOIN `zbozi` ON zbozi.idzbozi=cena.zbozi_id JOIN `vyrobce` ON zbozi.vyrobce_id=vyrobce.idvyrobce JOIN kategorie ON zbozi.kategorie_id = kategorie.idkategorie
JOIN `faktury` ON faktury.id=objednavky.faktury_id JOIN `login` ON `login`.`id`=`faktury`.`login_id` JOIN uzivatel on login.id = uzivatel.login_id WHERE login.platnost=1
GROUP BY `uzivatel`.`nazev`ORDER BY SUM(`objednavky`.`mnozstvi`*cena.cena) DESC LIMIT 10";

            if ($data = $db->query($sql)) {
                if ($data->num_rows > 0) {
                    echo "<article class='obalTable'><h1 class='nadpis_vedlejsi_stranka'>Seznam největších odběratelů</h1><table class='table1'>";
                    echo "<tr><th>E-mail</th> <th>Název odběratele</th><th><b>Obrat</b> </th> <th>Množství materiálu</th> <th>Registrace</th><th>Pocet nákupů</th></tr>";
                    while ($row = $data->fetch_assoc()) {

                        echo "<tr><td>{$row['email']}</td><td>{$row['nazev']}</td>  <td><b>{$row['obrat']} Kč</b></td> <td>{$row['mnozstvi']}ks</td> <td>{$row['registrace']}</td> <td>{$row['pocet']}</td></tr>";

                    }
                    echo "</table></article>";
                } else
                    echo "<h1 class='nadpis_vedlejsi_stranka'>Žádné data</h1>";
            }
        } else if ($verze == "v2") {

            $sql = "SELECT kategorie.nazev AS kategorie, vyrobce.nazev AS vyrobce, `zbozi`.`nazev`,`zbozi`.`idzbozi`, SUM(`objednavky`.`mnozstvi`*cena.cena) AS obrat, SUM(`objednavky`.`mnozstvi`) AS mnozstvi, (SELECT ROUND(AVG(cena.cena),2) FROM cena WHERE cena.zbozi_id=zbozi.idzbozi) AS prumer
FROM `objednavky` JOIN `cena` ON objednavky.cena_id=cena.id JOIN `zbozi` ON zbozi.idzbozi=cena.zbozi_id JOIN `vyrobce` ON zbozi.vyrobce_id=vyrobce.idvyrobce JOIN kategorie ON zbozi.kategorie_id = kategorie.idkategorie
JOIN `faktury` ON faktury.id=objednavky.faktury_id JOIN `login` ON `login`.`id`=`faktury`.`login_id` JOIN uzivatel on login.id = uzivatel.login_id
GROUP BY `zbozi`.`nazev`ORDER BY obrat DESC LIMIT 10";

            if ($data = $db->query($sql)) {
                if ($data->num_rows > 0) {
                    echo "<article class='obalTable'><h1 class='nadpis_vedlejsi_stranka'>Seznam nejvýdělečnějšího zboží</h1><table class='table1'>";
                    echo "<tr> <th>Kategorie</th><th>Název produktu</th> <th><b>Obrat</b></th> <th>Prodané množství</th> <th>Průměrná cena</th></tr>";
                    while ($row = $data->fetch_assoc()) {

                        echo "<tr><td>{$row['kategorie']}</td>  <td>{$row['vyrobce']} {$row['nazev']}</td> <td><b>{$row['obrat']}</b></td> <td>{$row['mnozstvi']}ks</td> <td>{$row['prumer']}</td></tr>";

                    }
                    echo "</table></article>";
                } else
                    echo "<h1 class='nadpis_vedlejsi_stranka'>Žádné data</h1>";
            }
        } else if ($verze == "v3") {

            $sql = "SELECT kategorie.nazev AS kategorie, vyrobce.nazev AS vyrobce, `zbozi`.`nazev`,`zbozi`.`idzbozi`, SUM(`objednavky`.`mnozstvi`) AS mnozstvi, COUNT(objednavky.id)AS pocet, (SELECT ROUND(AVG(cena.cena),2) FROM cena WHERE cena.zbozi_id=zbozi.idzbozi) AS prumer
FROM `objednavky` JOIN `cena` ON objednavky.cena_id=cena.id JOIN `zbozi` ON zbozi.idzbozi=cena.zbozi_id JOIN `vyrobce` ON zbozi.vyrobce_id=vyrobce.idvyrobce JOIN kategorie ON zbozi.kategorie_id = kategorie.idkategorie
JOIN `faktury` ON faktury.id=objednavky.faktury_id JOIN `login` ON `login`.`id`=`faktury`.`login_id` JOIN uzivatel on login.id = uzivatel.login_id
GROUP BY `zbozi`.`nazev`ORDER BY pocet DESC LIMIT 10";

            if ($data = $db->query($sql)) {
                if ($data->num_rows > 0) {
                    echo "<article class='obalTable'><h1 class='nadpis_vedlejsi_stranka'>Seznam nejčastěji prodaného zboží</h1><table class='table1'>";
                    echo "<tr> <th>Kategorie</th><th>Název produktu</th> <th><b>Pocet výskytu v objednávce</b></th> <th>Prodané množství</th> <th>Průměrná cena</th></tr>";
                    while ($row = $data->fetch_assoc()) {

                        echo "<tr><td>{$row['kategorie']}</td>  <td>{$row['vyrobce']} {$row['nazev']}</td> <td><b>{$row['pocet']}</b></td> <td>{$row['mnozstvi']}ks</td> <td>{$row['prumer']}</td></tr>";

                    }
                    echo "</table></article>";
                } else
                    echo "<h1 class='nadpis_vedlejsi_stranka'>Žádné data</h1>";
            }
        } else if ($verze == "v4") {

            $sql = "SELECT login.email, uzivatel.nazev, COUNT(log.login_id) AS pocet, DATE_FORMAT(login.create_time , '%d. %m. %Y v %H:%i') AS registrace, (SELECT DATE_FORMAT(log.datum , '%d. %m. %Y v %H:%i') AS abc FROM log WHERE log.login_id=login.id ORDER BY abc DESC LIMIT 1) AS posledni
FROM login JOIN uzivatel on login.id = uzivatel.login_id JOIN log ON log.login_id=login.id JOIN kontakty ON kontakty.idkontakt=uzivatel.id_kontakt 
WHERE login.platnost=1 AND ((SELECT log.datum FROM log WHERE log.login_id=login.id ORDER BY datum DESC LIMIT 1) + INTERVAL 60 DAY) > CURRENT_TIMESTAMP
GROUP BY `uzivatel`.`nazev` ORDER BY pocet DESC, posledni DESC LIMIT 10";

            if ($data = $db->query($sql)) {
                if ($data->num_rows > 0) {
                    echo "<article class='obalTable'><h1 class='nadpis_vedlejsi_stranka'>Seznam nejaktivnějších odběratelů</h1><table class='table1'>";
                    echo "<tr> <th>E-mail</th><th>Název odběratele</th> <th><b>Počet přihlášení</b></th> <th>Registrace</th> <th>Poslední přihlášení</th></tr>";
                    while ($row = $data->fetch_assoc()) {

                        echo "<tr><td>{$row['email']}</td>  <td>{$row['nazev']}</td> <td><b>{$row['pocet']}</b></td> <td>{$row['registrace']}</td> <td>{$row['posledni']}</td></tr>";

                    }
                    echo "</table></article>";
                } else
                    echo "<h1 class='nadpis_vedlejsi_stranka'>Žádné data</h1>";
            }
        } else {
            echo 'Incorrect';
        }


    }
}

function sestavaVsichni(){
    $db = spojeni();

    if (isset($_POST["sendedKV"])) {
        if (empty($_POST["vsichni"]) || empty($_POST["dateOd"]) || empty($_POST["dateDo"])) {
            echo "<p class='hlaska'>Vyplň formulář</p>";
        } else {
            $verze = $_POST['vsichni'];
            if ($verze == "v1") {

                $sql = "SELECT login.email,`uzivatel`.`nazev`, SUM(`objednavky`.`mnozstvi`*cena.cena) AS obrat, SUM(`objednavky`.`mnozstvi`) AS mnozstvi, COUNT(objednavky.id)AS pocet
FROM `objednavky` JOIN `cena` ON objednavky.cena_id=cena.id JOIN `zbozi` ON zbozi.idzbozi=cena.zbozi_id JOIN `vyrobce` ON zbozi.vyrobce_id=vyrobce.idvyrobce JOIN kategorie ON zbozi.kategorie_id = kategorie.idkategorie
JOIN `faktury` ON faktury.id=objednavky.faktury_id JOIN `login` ON `login`.`id`=`faktury`.`login_id` JOIN uzivatel on login.id = uzivatel.login_id 
WHERE login.platnost=1 AND (faktury.datum_vytvoreni BETWEEN '{$_POST['dateOd']}' AND '{$_POST['dateDo']}')
GROUP BY `uzivatel`.`nazev`ORDER BY SUM(`objednavky`.`mnozstvi`*cena.cena) DESC LIMIT 10";

                $daOd = date("d. m. Y", strtotime($_POST['dateOd']));
                $daDo = date("d. m. Y", strtotime($_POST['dateDo']));
                if ($data = $db->query($sql)) {
                    if ($data->num_rows > 0) {
                        echo "<article class='obalTable'><p class='hlaska'>Seznam od {$daOd} do {$daDo}</p><table class='table1'>";
                        echo "<tr><th>E-mail</th> <th>Název odběratele</th><th><b>Obrat</b> </th> <th>Množství materiálu</th> <th>Pocet nákupů</th></tr>";
                        while ($row = $data->fetch_assoc()) {

                            echo "<tr><td>{$row['email']}</td><td>{$row['nazev']}</td>  <td><b>{$row['obrat']} Kč</b></td> <td>{$row['mnozstvi']}ks</td> <td>{$row['pocet']}</td></tr>";

                        }
                        echo "</table></article>";
                    } else
                        echo "<h1 class='nadpis_vedlejsi_stranka'>Žádné data</h1>";
                }
            } else if ($verze == "v2") {

                $sql = "SELECT login.email,`uzivatel`.`nazev`, ROUND((SUM(`objednavky`.`mnozstvi`*cena.cena)/COUNT(objednavky.id)),2) AS obrat, SUM(`objednavky`.`mnozstvi`) AS mnozstvi, COUNT(objednavky.id)AS pocet
FROM `objednavky` JOIN `cena` ON objednavky.cena_id=cena.id JOIN `zbozi` ON zbozi.idzbozi=cena.zbozi_id JOIN `vyrobce` ON zbozi.vyrobce_id=vyrobce.idvyrobce JOIN kategorie ON zbozi.kategorie_id = kategorie.idkategorie
JOIN `faktury` ON faktury.id=objednavky.faktury_id JOIN `login` ON `login`.`id`=`faktury`.`login_id` JOIN uzivatel on login.id = uzivatel.login_id 
WHERE login.platnost=1 AND (faktury.datum_vytvoreni BETWEEN '{$_POST['dateOd']}' AND '{$_POST['dateDo']}')
GROUP BY `uzivatel`.`nazev`ORDER BY pocet DESC LIMIT 10";

                $daOd = date("d. m. Y", strtotime($_POST['dateOd']));
                $daDo = date("d. m. Y", strtotime($_POST['dateDo']));
                if ($data = $db->query($sql)) {
                    if ($data->num_rows > 0) {
                        echo "<article class='obalTable'><p class='hlaska'>Seznam od {$daOd} do {$daDo}</p><table class='table1'>";
                        echo "<tr><th>E-mail</th> <th>Název odběratele</th><th><b>Pocet nákupů</b> </th> <th>Množství materiálu</th> <th>Průměrný obrat za objednavku</th></tr>";
                        while ($row = $data->fetch_assoc()) {

                            echo "<tr><td>{$row['email']}</td><td>{$row['nazev']}</td>  <td><b>{$row['pocet']}</b></td> <td>{$row['mnozstvi']}ks</td> <td>{$row['obrat']} Kč</td></tr>";

                        }
                        echo "</table></article>";
                    } else
                        echo "<h1 class='nadpis_vedlejsi_stranka'>Žádné data</h1>";
                }
            } else {
                echo 'Incorrect';
            }

        }
    }
}

function sestavaUzivatel(){
    $db = spojeni();

    if (isset($_POST["sendedKU"])) {
        if (empty($_POST["uziv"]) || empty($_POST["dateOd"]) || empty($_POST["dateDo"]) || empty($_POST["id_uziv"])) {
            echo "<p class='hlaska'>Vyplň formulář</p>";
        } else {
            $verze = $_POST['uziv'];
            if ($verze == "v1") {

                $sql = "SELECT kategorie.nazev AS kategorie, vyrobce.nazev AS vyrobce, `zbozi`.`nazev`,`zbozi`.`idzbozi`, SUM(`objednavky`.`mnozstvi`) AS mnozstvi, COUNT(objednavky.id)AS pocet, (SELECT ROUND(AVG(cena.cena),2) FROM cena WHERE cena.zbozi_id=zbozi.idzbozi) AS prumer
FROM `objednavky` JOIN `cena` ON objednavky.cena_id=cena.id JOIN `zbozi` ON zbozi.idzbozi=cena.zbozi_id JOIN `vyrobce` ON zbozi.vyrobce_id=vyrobce.idvyrobce JOIN kategorie ON zbozi.kategorie_id = kategorie.idkategorie
JOIN `faktury` ON faktury.id=objednavky.faktury_id JOIN `login` ON `login`.`id`=`faktury`.`login_id` JOIN uzivatel on login.id = uzivatel.login_id 
WHERE login.id={$_POST['id_uziv']} AND (faktury.datum_vytvoreni BETWEEN '{$_POST['dateOd']}' AND '{$_POST['dateDo']}')
GROUP BY `zbozi`.`nazev`ORDER BY pocet DESC LIMIT 10";

                $daOd = date("d. m. Y", strtotime($_POST['dateOd']));
                $daDo = date("d. m. Y", strtotime($_POST['dateDo']));
                if ($data = $db->query($sql)) {
                    if ($data->num_rows > 0) {
                        echo "<article class='obalTable'><p class='hlaska'>Najčastěji nakoupené zboží od {$daOd} do {$daDo}</p><table class='table1'>";
                        echo "<tr><th>Kategorie</th><th>Název produktu</th> <th><b>Počet výskytu v objednávkách</b></th> <th>Koupené množství</th> <th>Průměrná cena</th></tr>";
                        while ($row = $data->fetch_assoc()) {

                            echo "<tr><td>{$row['kategorie']}</td>  <td>{$row['vyrobce']} {$row['nazev']}</td> <td><b>{$row['pocet']}</b></td> <td>{$row['mnozstvi']}ks</td> <td>{$row['prumer']} Kč</td></tr>";

                        }
                        echo "</table></article>";
                    } else
                        echo "<h1 class='nadpis_vedlejsi_stranka'>Žádné data</h1>";
                }
            } else if ($verze == "v2") {

                $sql = "SELECT login.email,`uzivatel`.`nazev`, SUM(`objednavky`.`mnozstvi`*cena.cena) AS obrat, SUM(`objednavky`.`mnozstvi`) AS mnozstvi, COUNT(objednavky.id)AS pocet
FROM `objednavky` JOIN `cena` ON objednavky.cena_id=cena.id JOIN `zbozi` ON zbozi.idzbozi=cena.zbozi_id JOIN `vyrobce` ON zbozi.vyrobce_id=vyrobce.idvyrobce JOIN kategorie ON zbozi.kategorie_id = kategorie.idkategorie JOIN `faktury` ON faktury.id=objednavky.faktury_id JOIN `login` ON `login`.`id`=`faktury`.`login_id` JOIN uzivatel on login.id = uzivatel.login_id 
WHERE login.id={$_POST['id_uziv']} AND (faktury.datum_vytvoreni BETWEEN '{$_POST['dateOd']}' AND '{$_POST['dateDo']}') GROUP BY `uzivatel`.`nazev`ORDER BY obrat DESC";

                $daOd = date("d. m. Y", strtotime($_POST['dateOd']));
                $daDo = date("d. m. Y", strtotime($_POST['dateDo']));
                if ($data = $db->query($sql)) {
                    if ($data->num_rows > 0) {
                        echo "<article class='obalTable'><p class='hlaska'>Obrat uzivatele od {$daOd} do {$daDo}</p><table class='table1'>";
                        echo "<tr><th>E-mail</th> <th>Název odběratele</th><th><b>Obrat</b> </th> <th>Množství materiálu</th> <th>Pocet nákupů</th></tr>";
                        while ($row = $data->fetch_assoc()) {

                            echo "<tr><td>{$row['email']}</td><td>{$row['nazev']}</td>  <td><b>{$row['obrat']} Kč</b></td> <td>{$row['mnozstvi']}ks</td> <td>{$row['pocet']}</td></tr>";

                        }
                        echo "</table></article>";
                    } else
                        echo "<h1 class='nadpis_vedlejsi_stranka'>Žádné data</h1>";
                }
            } else if ($verze == "v3") {

                $sql = "SELECT faktury.id AS fakturaC,DATE_FORMAT(faktury.datum_vytvoreni, '%d. %m. %Y v %H:%i') AS vytvoreni,DATE_FORMAT(faktury.datum_vydani, '%d. %m. %Y v %H:%i') AS vydani , DATEDIFF(faktury.datum_vydani,faktury.datum_vytvoreni) AS rozdil, 
COUNT(objednavky.faktury_id) AS polozek, SUM(`objednavky`.`mnozstvi`) AS mnozstvi, SUM(`objednavky`.`mnozstvi`*cena.cena) AS cena 
FROM `objednavky` JOIN `cena` ON objednavky.cena_id=cena.id JOIN `zbozi` ON zbozi.idzbozi=cena.zbozi_id JOIN `vyrobce` ON zbozi.vyrobce_id=vyrobce.idvyrobce JOIN kategorie ON zbozi.kategorie_id = kategorie.idkategorie
JOIN `faktury` ON faktury.id=objednavky.faktury_id JOIN `login` ON `login`.`id`=`faktury`.`login_id` JOIN uzivatel on login.id = uzivatel.login_id 
WHERE login.id={$_POST['id_uziv']} AND (faktury.datum_vytvoreni BETWEEN '{$_POST['dateOd']}' AND '{$_POST['dateDo']}') AND faktury.datum_vydani IS NOT NULL
GROUP BY faktury.id ORDER BY faktury.datum_vydani DESC LIMIT 10";

                $daOd = date("d. m. Y", strtotime($_POST['dateOd']));
                $daDo = date("d. m. Y", strtotime($_POST['dateDo']));
                if ($data = $db->query($sql)) {
                    if ($data->num_rows > 0) {
                        echo "<article class='obalTable'><p class='hlaska'>Informace o objednáckách od {$daOd} do {$daDo}</p><table class='table1'>";
                        echo "<tr><th>Datum vytvoření</th> <th><b>Datum vydání</b></th><th>Rozdíl ve dnech </th> <th>Počet položek</th> <th>Počet kusů v objednávce</th><th>Cena</th></tr>";
                        while ($row = $data->fetch_assoc()) {

                            echo "<tr><td>{$row['vytvoreni']}</td><td><b>{$row['vydani']}</b></td>  <td>{$row['rozdil']}</td> <td>{$row['polozek']}</td> <td>{$row['mnozstvi']}ks</td> <td>{$row['cena']} Kč</td></tr>";

                        }
                        echo "</table></article>";
                    } else
                        echo "<h1 class='nadpis_vedlejsi_stranka'>Žádné data</h1>";
                }
            } else {
                echo 'Incorrect';
            }

        }
    }
}

function sestavaZbozi(){
    $db = spojeni();

    if (isset($_POST["sendedKZ"])) {
        if (empty($_POST["zbo"]) || empty($_POST["dateOd"]) || empty($_POST["dateDo"]) || empty($_POST["id_zbozi"])) {
            echo "<p class='hlaska'>Vyplň formulář</p>";
        } else {
            $verze = $_POST['zbo'];
            if ($verze == "v1") {

                $sql = "SELECT kategorie.nazev AS kategorie, vyrobce.nazev AS vyrobce, `zbozi`.`nazev`,`zbozi`.`idzbozi`, SUM(`objednavky`.`mnozstvi`) AS mnozstvi, ROUND((COUNT(objednavky.id)/(SELECT COUNT(objednavky.id) FROM objednavky))*100,1) AS pocet
FROM `objednavky` JOIN `cena` ON objednavky.cena_id=cena.id JOIN `zbozi` ON zbozi.idzbozi=cena.zbozi_id JOIN `vyrobce` ON zbozi.vyrobce_id=vyrobce.idvyrobce JOIN kategorie ON zbozi.kategorie_id = kategorie.idkategorie
JOIN `faktury` ON faktury.id=objednavky.faktury_id JOIN `login` ON `login`.`id`=`faktury`.`login_id` JOIN uzivatel on login.id = uzivatel.login_id 
WHERE zbozi.idzbozi={$_POST['id_zbozi']} AND (faktury.datum_vytvoreni BETWEEN '{$_POST['dateOd']}' AND '{$_POST['dateDo']}') AND faktury.datum_vydani IS NOT NULL
GROUP BY `zbozi`.`nazev` DESC LIMIT 1";

                $daOd = date("d. m. Y", strtotime($_POST['dateOd']));
                $daDo = date("d. m. Y", strtotime($_POST['dateDo']));
                if ($data = $db->query($sql)) {
                    if ($data->num_rows > 0) {
                        echo "<article class='obalTable'><p class='hlaska'>Prodané množství od {$daOd} do {$daDo}</p><table class='table1'>";
                        echo "<tr><th>Kategorie</th><th>Název produktu</th> <th><b>Prodané množství</b></th> <th>Výskyt v objednávkách</th> </tr>";
                        while ($row = $data->fetch_assoc()) {

                            echo "<tr><td>{$row['kategorie']}</td>  <td>{$row['vyrobce']} {$row['nazev']}</td> <td><b>{$row['mnozstvi']}ks</b></td> <td>{$row['pocet']} %</td></tr>";

                        }
                        echo "</table></article>";
                    } else
                        echo "<h1 class='nadpis_vedlejsi_stranka'>Žádné data</h1>";
                }
            } else if ($verze == "v2") {

                $sql = "SELECT kategorie.nazev AS kategorie, vyrobce.nazev AS vyrobce, `zbozi`.`nazev`,`zbozi`.`idzbozi`, cena.cena, cena.id AS idceny, DATE_FORMAT(cena.datum, '%d. %m. %Y v %H:%i') AS datum,cena.datum AS datumDD
FROM cena JOIN `zbozi` ON zbozi.idzbozi=cena.zbozi_id JOIN `vyrobce` ON zbozi.vyrobce_id=vyrobce.idvyrobce JOIN kategorie ON zbozi.kategorie_id = kategorie.idkategorie
WHERE cena.zbozi_id={$_POST['id_zbozi']} AND (cena.datum BETWEEN '{$_POST['dateOd']}' AND '{$_POST['dateDo']}')
ORDER BY datumDD DESC LIMIT 10";

                $daOd = date("d. m. Y", strtotime($_POST['dateOd']));
                $daDo = date("d. m. Y", strtotime($_POST['dateDo']));
                $mn=0;
                if ($data = $db->query($sql)) {
                    if ($data->num_rows > 0) {
                        echo "<article class='obalTable'><p class='hlaska'>Vývoj ceny od {$daOd} do {$daDo}</p><table class='table1'>";
                        echo "<tr><th>Kategorie</th><th>Název produktu</th> <th><b>Cena</b></th> <th>Datum změny (platná od)</th> <th>Prodané množství za tuto cenu</th></tr>";

                        while ($row = $data->fetch_assoc()) {
                            $sqlV="SELECT SUM(objednavky.mnozstvi) AS soucet FROM objednavky JOIN faktury on objednavky.faktury_id = faktury.id WHERE objednavky.cena_id={$row['idceny']} AND faktury.datum_vydani IS NOT NULL";
                            if ($data1 = $db->query($sqlV)) {
                                if ($data1->num_rows > 0) {
                                    while ($row1 = $data1->fetch_assoc()) {
                                        if($row1['soucet']!=NULL) {
                                            $mn = $row1['soucet'];
                                        }else{$mn=0;}
                                    }
                                }else{
                                    $mn=0;
                                }
                            }

                            echo "<tr><td>{$row['kategorie']}</td>  <td>{$row['vyrobce']} {$row['nazev']}</td> <td><b>{$row['cena']} Kč</b></td> <td>{$row['datum']}</td> <td>{$mn} ks</td></tr>";

                        }
                        echo "</table></article>";
                    } else
                        echo "<h1 class='nadpis_vedlejsi_stranka'>Žádné data</h1>";
                }
            } else if ($verze == "v3") {

                $sql = "SELECT login.email,`uzivatel`.`nazev`, SUM(`objednavky`.`mnozstvi`) AS mnozstvi, COUNT(objednavky.id)AS pocet
FROM `objednavky` JOIN `cena` ON objednavky.cena_id=cena.id JOIN `zbozi` ON zbozi.idzbozi=cena.zbozi_id JOIN `vyrobce` ON zbozi.vyrobce_id=vyrobce.idvyrobce JOIN kategorie ON zbozi.kategorie_id = kategorie.idkategorie
JOIN `faktury` ON faktury.id=objednavky.faktury_id JOIN `login` ON `login`.`id`=`faktury`.`login_id` JOIN uzivatel on login.id = uzivatel.login_id 
WHERE zbozi.idzbozi={$_POST['id_zbozi']} AND faktury.datum_vydani IS NOT NULL  AND (faktury.datum_vytvoreni BETWEEN '{$_POST['dateOd']}' AND '{$_POST['dateDo']}') AND login.platnost=1
GROUP BY login.email ORDER BY mnozstvi DESC LIMIT 10";

                $daOd = date("d. m. Y", strtotime($_POST['dateOd']));
                $daDo = date("d. m. Y", strtotime($_POST['dateDo']));
                if ($data = $db->query($sql)) {
                    if ($data->num_rows > 0) {
                        echo "<article class='obalTable'><p class='hlaska'>Největší odběratelé od {$daOd} do {$daDo}</p><table class='table1'>";
                        echo "<tr><th>E-mail</th> <th>Název odběratele</th><th><b>Množství materiálu</b></th> <th>Počet objednávek s tímto zbožím</th></tr>";
                        while ($row = $data->fetch_assoc()) {

                            echo "<tr><td>{$row['email']}</td><td>{$row['nazev']}</td> <td><b>{$row['mnozstvi']}ks</b></td> <td>{$row['pocet']}</td></tr>";

                        }
                        echo "</table></article>";
                    } else
                        echo "<h1 class='nadpis_vedlejsi_stranka'>Žádné data</h1>";
                }
            } else {
                echo 'Incorrect';
            }

        }
    }
}

function sestavaKategorie(){
    $db = spojeni();

    if (isset($_POST["sendedKK"])) {
        if (empty($_POST["cenaOd"]) || empty($_POST["cenaDo"]) || empty($_POST["id_kat"]) || empty($_POST["dateOd"]) || empty($_POST["dateDo"])) {
            echo "<p class='hlaska'>Vyplň formulář</p>";
        } else {

            $sql = "SELECT kategorie.nazev AS kategorie, vyrobce.nazev AS vyrobce, `zbozi`.`nazev`,`zbozi`.`idzbozi`, SUM(`objednavky`.`mnozstvi`) AS mnozstvi, 
ROUND((COUNT(objednavky.id)/(SELECT COUNT(objednavky.id) FROM objednavky))*100,1) AS pocet, COUNT(objednavky.id) AS objednavek, (SELECT cena.cena FROM cena WHERE zbozi_id=`zbozi`.`idzbozi` ORDER BY cena.datum DESC LIMIT 1) AS cena
FROM `objednavky` JOIN `cena` ON objednavky.cena_id=cena.id JOIN `zbozi` ON zbozi.idzbozi=cena.zbozi_id JOIN `vyrobce` ON zbozi.vyrobce_id=vyrobce.idvyrobce JOIN kategorie ON zbozi.kategorie_id = kategorie.idkategorie
JOIN `faktury` ON faktury.id=objednavky.faktury_id JOIN `login` ON `login`.`id`=`faktury`.`login_id` JOIN uzivatel on login.id = uzivatel.login_id 
WHERE zbozi.kategorie_id={$_POST['id_kat']} AND faktury.datum_vydani IS NOT NULL AND (faktury.datum_vytvoreni BETWEEN '{$_POST['dateOd']}' AND '{$_POST['dateDo']}') AND (cena.cena BETWEEN {$_POST['cenaOd']} AND {$_POST['cenaDo']})
GROUP BY `zbozi`.`nazev` ORDER BY mnozstvi DESC LIMIT 10";


            if ($data = $db->query($sql)) {
                if ($data->num_rows > 0) {
                    echo "<article class='obalTable'><p class='hlaska'>Nejprodávanější zboží v ceně {$_POST["cenaOd"]} do {$_POST["cenaDo"]}</p><table class='table1'>";
                    echo "<tr><th>Název produktu</th> <th><b>Prodané množství</b></th><th>Cena</th> <th>Výskyt v objednávkách</th> <th>Počet v objednávnávek</th> </tr>";
                    while ($row = $data->fetch_assoc()) {

                        echo "<tr><td>{$row['vyrobce']} {$row['nazev']}</td> <td><b>{$row['mnozstvi']}ks</b></td><td>{$row['cena']} Kč</td> <td>{$row['pocet']} %</td><td>{$row['objednavek']}</td></tr>";

                    }
                    echo "</table></article>";
                } else
                    echo "<h1 class='nadpis_vedlejsi_stranka'>Žádné data</h1>";
            }


        }
    }
}

function toJSON(){
    $db = spojeni();

        $sql = "SELECT `faktury`.`id`, `faktury`.`datum_vytvoreni`, `faktury`.`datum_vydani`, `uzivatel`.`nazev`, SUM(`cena`.`cena`) AS cena,`faktury`.`datum_fakturace`
FROM `faktury`JOIN `objednavky` ON faktury.id=objednavky.faktury_id JOIN `cena` ON objednavky.cena_id=cena.id JOIN `login` ON `login`.`id`=`faktury`.`login_id` JOIN uzivatel on login.id = uzivatel.login_id
WHERE `faktury`.`datum_vydani` IS NOT NULL
GROUP BY `faktury`.`id`";


    $pole = array();
    if($data = $db->query($sql)){
        if($data->num_rows > 0){
            while($row = $data->fetch_assoc())
            {
                $sqlC = "SELECT `objednavky`.`mnozstvi`, `cena`.`cena` FROM `objednavky` JOIN `cena` ON objednavky.cena_id=cena.id WHERE objednavky.faktury_id={$row['id']}";
                $cenaCelkem =0;
                if ($dataC = $db->query($sqlC)) {
                    if ($dataC->num_rows > 0) {
                        while ($rowC = $dataC->fetch_assoc()) {
                            $cenaCelkem = $cenaCelkem +($rowC['mnozstvi']*$rowC['cena']);
                        }
                    }
                }
                $row['cena']=$cenaCelkem;
                $pole[] = $row;

            }

            $pole1 = json_encode($pole, JSON_UNESCAPED_UNICODE);
            //var_dump($pole1);
            $adresa = '../uploads/historie.json';
            file_put_contents($adresa,$pole1);


            if(file_exists($adresa)) {
                header('Content-Description: File Transfer');
                header('Content-Type: application/octet-stream');
                header('Content-Disposition: attachment; filename='.basename($adresa));
                header('Content-Transfer-Encoding: binary');
                header('Expires: 0');
                header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
                header('Pragma: public');
                header('Content-Length: ' . filesize($adresa));
                ob_clean();
                flush();
                readfile($adresa);
                unlink($adresa);
                exit;
            }

        }
    }
}
?>