<?php
session_start();
include "../funkce/funkceZamestnanec.php";
error_reporting(E_ERROR | E_PARSE);
$db = spojeni();
Menu();
opravneniE();

if ($_GET["action"] == "delete") {
    unset($_SESSION['kosik'][$_GET['id']]);
    header("Location:./kosik.php");
}

if (isset($_SESSION['kosik']) && sizeof($_SESSION['kosik']) > 0) {
    echo "<h1 class='nadpis_vedlejsi_stranka'>Obsah košíku</h1>";

    echo "<article class='obalTable'><table class='table1'>
    <thead>
    <tr>
        <th>Název</th>
        <th>Množství</th>
        <th>Cena</th>
        <th>Smazat</th>
    </tr>
    </thead>";

    foreach ($_SESSION['kosik'] as $polozka => $value) {
        echo "<tr>";

        $sql = "SELECT `zbozi`.`nazev` FROM `zbozi` WHERE `zbozi`.`idzbozi`={$polozka}";
        if ($data = $db->query($sql)) {
            if ($data->num_rows > 0) {
                $row = $data->fetch_assoc();
                echo "<td>" . $row['nazev'] . "</td>";
            }
        }
        echo "<td>" . $value['mnozstvi'] . "</td>";

        $sql = "SELECT `zbozi`.`idzbozi` AS id,`zbozi`.`nazev`, (SELECT cena.cena FROM cena WHERE zbozi_id=`zbozi`.`idzbozi` ORDER BY cena.datum DESC LIMIT 1) AS cena , `zbozi`.`mnozstvi`, `zbozi`.popis
            FROM `zbozi` JOIN `cena` ON `zbozi`.`idzbozi`= `cena`.`zbozi_id` WHERE `zbozi`.`idzbozi`={$polozka} GROUP BY `zbozi`.`nazev`";
        if ($data = $db->query($sql)) {
            if ($data->num_rows > 0) {
                $row = $data->fetch_assoc();
                $cena = $row['cena'] * $value['mnozstvi'];
                echo "<td>" . $cena . " Kč</td>";
            }
        }

        echo "<td>
            
            <a href='./kosik.php?action=delete&id=" . $polozka . "'>X</a>
            </td>";
        echo "</tr>";
    }

    echo "</table></article>";
} else {
    echo "<h1 class='nadpis_vedlejsi_stranka'>Košík je prázdný</h1>";
}

/////////////////////////////ulozeni

if (isset($_POST["sended"])) {
    if(isset($_SESSION["loginZam"]) && $_SESSION["opravneni"] != 4 && !empty($_POST["id_uziv"])) {
        if (isset($_SESSION['kosik']) && sizeof($_SESSION['kosik']) > 0) {
            $sql5 = "INSERT INTO `faktury` (`login_id`) VALUES (?);";
            if ($stmt = $db->prepare($sql5)) {
                $stmt->bind_param("i", $_POST["id_uziv"]);
                $stmt->execute();
                $id = $stmt->insert_id;
                foreach ($_SESSION['kosik'] as $polozka => $value) {
                    $sqlCena = "SELECT * FROM cena WHERE zbozi_id={$polozka} ORDER BY cena.datum DESC LIMIT 1";
                    if ($data = $db->query($sqlCena)) {
                        if ($data->num_rows > 0) {
                            $row = $data->fetch_assoc();
                            $idCena = $row['id'];
                        }
                    }

                    $sql = "INSERT INTO `objednavky` (`mnozstvi`, `faktury_id`, `cena_id`) VALUES (?,?,?);";
                    if ($stmt = $db->prepare($sql)) {
                        $stmt->bind_param("iii", $value['mnozstvi'], $id, $idCena);
                        $stmt->execute();
                    }
                }
                unset($_SESSION['kosik']);
                header("Location:./kosik.php");
            } else {
                echo "<p class='hlaska'>Nastava chyba</p>";
            }
        }else {
            echo "<p class='hlaska'>Nastava chyba, košík je prázdný</p>";
        }
    }else {
        echo "<p class='hlaska'>Nastava chyba. Neznámý účet.</p>";
    }
}


?>

    <form action="" method="POST">
       <?php vypisUzivateluCombo(); ?>
        <input type="submit" name="sended" value="Zarezervovat">
    </form>

<?php
include './body/footer.php';
?>